/**
 ******************************************************************************
 * Xenia : Xbox 360 Emulator Research Project                                 *
 ******************************************************************************
 * Copyright 2013 Ben Vanik. All rights reserved.                             *
 * Released under the BSD license - see LICENSE in the root for more details. *
 ******************************************************************************
 */

#ifndef XENIA_KERNEL_MODULES_XAM_TABLE_H_
#define XENIA_KERNEL_MODULES_XAM_TABLE_H_

#include <xenia/kernel/export.h>


#define FLAG(t)             kXEKernelExportFlag##t


static xe_kernel_export_t xe_xam_export_table[] = {
XE_DECLARE_EXPORT(xam,      0x00000001, NetDll_WSAStartup,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000002, NetDll_WSACleanup,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000003, NetDll_socket,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000004, NetDll_closesocket,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000005, NetDll_shutdown,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000006, NetDll_ioctlsocket,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000007, NetDll_setsockopt,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000008, NetDll_getsockopt,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000009, NetDll_getsockname,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000000A, NetDll_getpeername,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000000B, NetDll_bind,                                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000000C, NetDll_connect,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000000D, NetDll_listen,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000000E, NetDll_accept,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000000F, NetDll_select,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000010, NetDll_WSAGetOverlappedResult,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000011, NetDll_WSACancelOverlappedIO,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000012, NetDll_recv,                                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000013, NetDll_WSARecv,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000014, NetDll_recvfrom,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000015, NetDll_WSARecvFrom,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000016, NetDll_send,                                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000017, NetDll_WSASend,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000018, NetDll_sendto,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000019, NetDll_WSASendTo,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000001A, NetDll_inet_addr,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000001B, NetDll_WSAGetLastError,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000001C, NetDll_WSASetLastError,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000001D, NetDll_WSACreateEvent,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000001E, NetDll_WSACloseEvent,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000001F, NetDll_WSASetEvent,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000020, NetDll_WSAResetEvent,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000021, NetDll_WSAWaitForMultipleEvents,                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000022, NetDll___WSAFDIsSet,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000023, NetDll_WSAEventSelect,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000024, NetDll_WSAStartupEx,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000033, NetDll_XNetStartup,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000034, NetDll_XNetCleanup,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000035, NetDll_XNetRandom,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000036, NetDll_XNetCreateKey,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000037, NetDll_XNetRegisterKey,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000038, NetDll_XNetUnregisterKey,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000039, NetDll_XNetXnAddrToInAddr,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000003A, NetDll_XNetServerToInAddr,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000003B, NetDll_XNetTsAddrToInAddr,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000003C, NetDll_XNetInAddrToXnAddr,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000003D, NetDll_XNetInAddrToServer,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000003E, NetDll_XNetInAddrToString,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000003F, NetDll_XNetUnregisterInAddr,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000040, NetDll_XNetXnAddrToMachineId,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000041, NetDll_XNetConnect,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000042, NetDll_XNetGetConnectStatus,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000043, NetDll_XNetDnsLookup,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000044, NetDll_XNetDnsRelease,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000045, NetDll_XNetQosListen,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000046, NetDll_XNetQosLookup,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000047, NetDll_XNetQosServiceLookup,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000048, NetDll_XNetQosRelease,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000049, NetDll_XNetGetTitleXnAddr,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000004A, NetDll_XNetGetDebugXnAddr,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000004B, NetDll_XNetGetEthernetLinkStatus,                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000004C, NetDll_XNetGetBroadcastVersionStatus,                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000004D, NetDll_XNetQosGetListenStats,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000004E, NetDll_XNetGetOpt,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000004F, NetDll_XNetSetOpt,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000050, NetDll_XNetStartupEx,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000051, NetDll_XNetReplaceKey,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000052, NetDll_XNetGetXnAddrPlatform,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000053, NetDll_XNetGetSystemLinkPort,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000054, NetDll_XNetSetSystemLinkPort,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000065, NetDll_XnpLoadConfigParams,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000066, NetDll_XnpSaveConfigParams,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000067, NetDll_XnpConfigUPnP,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000068, NetDll_XnpConfig,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000069, NetDll_XnpGetConfigStatus,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000006A, NetDll_XnpLoadMachineAccount,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000006B, NetDll_XnpSaveMachineAccount,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000006C, NetDll_XnpCapture,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000006D, NetDll_XnpEthernetInterceptSetCallbacks,                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000006E, NetDll_XnpEthernetInterceptXmit,                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000006F, NetDll_XnpEthernetInterceptRecv,                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000070, NetDll_XnpLogonGetStatus,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000071, NetDll_XnpLogonGetQFlags,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000072, NetDll_XnpLogonSetQFlags,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000073, NetDll_XnpLogonSetQEvent,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000074, NetDll_XnpLogonClearQEvent,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000075, NetDll_XnpLogonGetQVals,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000076, NetDll_XnpLogonSetQVals,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000077, NetDll_XnpLogonSetPState,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000078, NetDll_XnpGetVlanXboxName,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000079, NetDll_XnpSetVlanXboxName,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000007A, NetDll_XnpGetActiveSocketList,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000007B, NetDll_XnpNoteSystemTime,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000007C, NetDll_XnpRegisterKeyForCallerType,                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000007D, NetDll_XnpUnregisterKeyForCallerType,                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000007E, NetDll_XnpLogonGetChallenge,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000007F, NetDll_XnpLogonClearChallenge,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000080, NetDll_XnpLogonSetChallengeResponse,                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000081, NetDll_XnpGetSecAssocList,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000082, NetDll_XnpGetKeyList,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000083, NetDll_XnpGetQosLookupList,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000084, NetDll_XnpPersistTitleState,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000085, NetDll_XnpReplaceKeyForCallerType,                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000086, NetDll_XnpEthernetInterceptSetExtendedReceiveCallback,      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000087, NetDll_XnpQosHistoryLoad,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000088, NetDll_XnpQosHistorySaveMeasurements,                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000089, NetDll_XnpQosHistoryGetEntries,                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000008A, NetDll_XnpQosHistoryGetAggregateMeasurement,                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000008B, NetDll_XnpToolSetCallbacks,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000008C, NetDll_XnpToolIpProxyInject,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000008D, NetDll_XnpUpdateConfigParams,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000008E, NetDll_XnpEthernetInterceptXmitAsIp,                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000097, NetDll_XmlDownloadStart,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000098, NetDll_XmlDownloadContinue,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000099, NetDll_XmlDownloadStop,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000009A, NetDll_XmlDownloadGetParseTime,                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000009B, NetDll_XmlDownloadGetReceivedDataSize,                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000000C6, XnpGetXwppMemoryLogSnapshot,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000000C7, XnpGetXwppRuntimeFilter,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000000C9, NetDll_XHttpStartup,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000000CA, NetDll_XHttpShutdown,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000000CB, NetDll_XHttpOpen,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000000CC, NetDll_XHttpCloseHandle,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000000CD, NetDll_XHttpConnect,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000000CE, NetDll_XHttpSetStatusCallback,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000000CF, NetDll_XHttpOpenRequest,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000000D0, NetDll_XHttpOpenRequestUsingMemory,                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000000D1, NetDll_XHttpSendRequest,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000000D2, NetDll_XHttpReceiveResponse,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000000D3, NetDll_XHttpQueryHeaders,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000000D4, NetDll_XHttpReadData,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000000D5, NetDll_XHttpWriteData,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000000D6, NetDll_XHttpQueryOption,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000000D7, NetDll_XHttpSetOption,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000000D8, NetDll_XHttpDoWork,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000000D9, NetDll_XHttpSetCredentials,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000000DA, NetDll_XHttpQueryAuthSchemes,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000000DB, NetDll_XHttpCrackUrl,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000000FB, NetDll_UpnpStartup,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000000FC, NetDll_UpnpCleanup,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000000FD, NetDll_UpnpSearchCreate,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000000FE, NetDll_UpnpSearchGetDevices,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000000FF, NetDll_UpnpDescribeCreate,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000100, NetDll_UpnpDescribeGetResults,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000101, NetDll_UpnpActionCalculateWorkBufferSize,                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000102, NetDll_UpnpActionCreate,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000103, NetDll_UpnpActionGetResults,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000104, NetDll_UpnpEventCreate,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000105, NetDll_UpnpEventGetCurrentState,                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000106, NetDll_UpnpEventUnsubscribe,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000107, NetDll_UpnpDoWork,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000108, NetDll_UpnpCloseHandle,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000012D, XNetLogonGetLoggedOnUsers,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000012E, XNetLogonGetNatType,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000012F, XNetLogonTaskStart,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000130, XNetLogonTaskClose,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000131, XNetLogonTaskContinue,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000132, XNetLogonGetServiceInfo,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000133, XNetLogonGetUserPrivileges,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000134, XNetLogonSetConsoleCertificate,                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000135, XNetLogonGetMachineID,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000136, XNetLogonGetTitleID,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000137, XNetLogonGetTitleVersion,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000138, XNetLogonGetServiceNetworkID,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000139, XNetLogonGetDnsString,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000013A, XNetLogonSetTitleID,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000013B, XNetLogonGetExtendedStatus,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000013C, XNetLogonClearTicketCaches,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000013D, XNetLogonInitOverrideInfo,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000013E, XNetLogonGetLastUPnPStatus,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000013F, XNetLogonGetFlowToken,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000140, XNetLogonGetTicketOpt,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000141, XNetLogonSetTicketOpt,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000190, XamInputGetCapabilities,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000191, XamInputGetState,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000192, XamInputSetState,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000193, XamInputGetKeystroke,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000194, XamInputEnableAutobind,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000195, XamInputRawState,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000196, XamEnableSystemAppInput,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000197, XamInputGetDeviceStats,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000198, XamInputGetKeystrokeEx,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000199, XamInputGetKeystrokeHud,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000019A, XamInputSetLayoutKeyboard,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000019B, XamInputToggleKeyLocks,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000019C, XamInputResetLayoutKeyboard,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000019D, XamInputGetKeystrokeHudEx,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000019E, XamInputSetKeyboardTranslationHud,                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000019F, XamSetInactivityTime,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001A0, XamEnableInactivityProcessing,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001A1, XamResetInactivity,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001A2, XamSetInactivityTimeFromConfig,                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001A3, XamLoaderGetMediaInfo,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001A4, XamLoaderLaunchTitle,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001A5, XamLoaderLaunchTitleEx,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001A6, XamLoaderSetLaunchData,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001A7, XamLoaderGetLaunchDataSize,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001A8, XamLoaderGetLaunchData,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001A9, XamLoaderTerminateTitle,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001AA, XamLoaderGetDvdTrayState,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001AB, XamLoaderGetGameInfo,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001AC, XamLoaderLaunchTitleOnDvd,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001AD, XamLoaderSetSpindleSpeed,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001AE, XamTaskCreateQueue,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001AF, XamTaskSchedule,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001B0, XamTaskReschedule,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001B1, XamTaskCloseHandle,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001B2, XamTaskCancel,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001B3, XamTaskShouldExit,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001B4, XamTaskWaitOnCompletion,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001B5, XamTaskModify,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001B6, XamTaskGetCurrentTask,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001B7, XamTaskGetAttributes,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001B8, XamExecutingOnBehalfOfTitle,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001B9, XamInputSendStayAliveRequest,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001BA, XamInputGetUserVibrationLevel,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001BB, XamIsSystemTitleId,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001BC, XamLoaderIsTitleTerminatePending,                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001BD, XamInputSetTextMessengerIndicator,                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001BE, XamLoaderGetPriorTitleId,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001BF, XamIsXbox1TitleId,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001C0, XamInputSetKeyLocks,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001C1, XamInputGetKeyLocks,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001C2, XamTaskGetStatus,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001C3, XamGetRootObj,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001C4, XamDevAuthSetFault,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001C5, XamGetDefaultSystemImage,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001C6, XamGetWCNConfigFile,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001C7, XamSetPowerMode,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001C8, XamExecuteChallenge,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001C9, XamGetDefaultImage,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001CA, XamMuteSound,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001CB, XamGetOnlineSchema,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001CC, XamSetDashContext,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001CD, XamGetDashContext,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001CE, XamIsCurrentTitleDash,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001CF, XamGetCurrentTitleId,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001D0, XamSetCurrentTitleDash,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001D1, XamAllocHeapFreeSpace,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001D2, XamSetDashContextEx,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001D3, XamGetDashContextEx,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001D4, XamSetHudContext,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001D5, XamGetHudContext,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001D6, XCustomGetBannerImage,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001D7, Refresh,                                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001D8, XCustomSetAction,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001D9, XCustomGetLastActionPress,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001DA, XCustomSetDynamicActions,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001DB, XCustomBroadcastActionEvent,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001DC, XCustomGetLastActionPressEx,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001DD, XCustomRegisterDynamicActions,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001DE, XCustomUnregisterDynamicActions,                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001DF, XCustomGetCurrentGamercard,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001E0, XamDbgPrint,                                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001E1, XamDbgSetOutputLevel,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001E2, XamDbgSetBreakLevel,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001E3, XamLoaderGetMediaInfoEx,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001E4, XamLoaderSetGameInfo,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001E5, XamFormatMessage,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001E6, XamUniSortCmpString,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001E7, XamFormatTimeString,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001E8, XamFormatDateString,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001E9, XamGetLocaleDateFormat,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001EA, XamAlloc,                                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001EB, XamAllocEx,                                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001EC, XamFree,                                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001ED, XamAllocSize,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001EE, XamAllocMountIPTVHeap,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001EF, XamAllocUnmountIPTVHeap,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001F0, XamAllocFreeIPTVHeap,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001F1, XamDeviceRemap,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001F2, XamLoaderGetClearCache,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001F3, XamLoaderSetClearCache,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001F4, XMsgInProcessCall,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001F5, XMsgCompleteIORequest,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001F6, XMsgSystemProcessCall,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001F7, XMsgStartIORequest,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001F8, XMsgCancelIORequest,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001F9, XMsgAcquireAsyncMessageFromOverlapped,                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001FA, XMsgReleaseAsyncMessageToOverlapped,                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001FB, XamGetOverlappedResult,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001FC, XMsgStartIORequestEx,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001FD, XamAppAllocateInterappWorkspace,                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001FE, XamAppGetInterappWorkspace,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000001FF, XamAppFreeInterappWorkspace,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000200, XamFeatureEnabled,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000201, XamFeatureEnforceImageBudget,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000202, XamFeatureSetMask,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000203, XamFeatureEnableDisable,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000204, XuiControlSetItemAssociation,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000205, XamGetTitleGlobalStorageValue,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000206, XamSetTitleGlobalStorageValue,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000207, XamUserValidateAvatarManifest,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000208, XamUserGetDeviceContext,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000209, XamUserLookupDevice,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000020A, XamUserGetXUID,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000020B, XamUserLogon,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000020C, XamUserGetGamerTag,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000020D, XamUserGetUserIndexMask,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000020E, XamUserGetName,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000020F, XamLookupCommonStringByIndex,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000210, XamUserGetSigninState,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000211, XamUserGetIndexFromXUID,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000212, XamUserCheckPrivilege,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000213, XamUserAreUsersFriends,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000214, XamSetUserPresetPresenceState,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000215, XamGetUserPresetPresenceState,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000216, XamUserGetUserFlagsFromXUID,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000217, XamUserGetMembershipTierFromXUID,                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000218, XamUserGetOnlineCountryFromXUID,                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000219, XamUserReadProfileSettings,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000021A, XamUserWriteProfileSettings,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000021B, XamUserGetMembershipTier,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000021C, XamUserGetUserFlags,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000021D, XamUserGetRequestedUserIndexMask,                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000021E, XamUserIsGuest,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000021F, XamUserProfileSync,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000220, XamUserFlushLogonQueue,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000221, XamUserIsOnlineEnabled,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000222, XamUserGetCachedUserFlags,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000223, XamAreMixedAccountsSignedIn,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000224, XamUserLogonEx,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000225, XamSetUserShowMessengerFriends,                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000226, XamGetUserShowMessengerFriends,                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000227, XamUserGetSigninInfo,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000228, XamUserIsPartial,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000229, XamUserGetOnlineLanguageFromXUID,                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000022A, XamUserReadProfileSettingsEx,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000022B, XamSystemUpdaterLogon,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000022C, XamUserGetUsersMissingAvatars,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000022D, XamIsChildAccountSignedIn,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000022E, XamUserPrefetchProfileSettings,                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000022F, XamUserInvalidateProfileSetting,                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000230, XamProfileCreate,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000231, XamProfileCreateEnumerator,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000232, XamProfileEnumerate,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000233, XamProfileDelete,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000234, XamProfileGetCreationStatus,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000235, XamProfileFindAccount,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000236, XamProfileRenameAccount,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000237, XamProfileOpen,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000238, XamProfileClose,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000239, XamProfileSaveAccountInfo,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000023A, XamProfileLoadAccountInfo,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000023B, XamProfileRecoverTitle,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000023C, XamProfileSaveWindowsLiveCredentials,                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000023D, XamProfileLoadWindowsLiveCredentials,                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000023E, XamProfileIsSaveWindowsLiveCredsEnabled,                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000023F, XamProfileSetSaveWindowsLiveCredsEnabled,                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000240, XamSetProfileReadTestHook,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000241, XamProfileGetLastSync,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000242, XamAccountRecoveryRecoverTitle,                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000243, XamProfileControlPec,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000244, XamAppLoad,                                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000245, XamAppUnloadSelf,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000246, XamAppUnloadStack,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000247, XamSendMessageToLoadedApps,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000248, XamAppRequestLoad,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000249, XamAppUnrequestLoad,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000024A, XamNavigate,                                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000024B, XamRegisterSysApp,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000024C, XamUnregisterSysApp,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000024D, XamAppReinitialize,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000024E, XamCreateEnumeratorHandle,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000024F, XamGetPrivateEnumStructureFromHandle,                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000250, XamEnumerate,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000251, XamLoadSysApp,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000252, XamUnloadSysApp,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000253, XamReloadSysApp,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000254, XamAppLoadPass2SysApps,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000255, XamProfileGetLiveLegalLocale,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000256, XamUserIsParentalControlled,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000257, XamContentLaunchImageFromFileInternal,                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000258, XamContentCreate,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000259, XamContentCreateEx,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000025A, XamContentClose,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000025B, XamContentDelete,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000025C, XamContentCreateEnumerator,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000025D, XamContentCreateDeviceEnumerator,                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000025E, XamContentGetDeviceData,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000025F, XamContentGetDeviceName,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000260, XamContentSetThumbnail,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000261, XamContentGetThumbnail,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000262, XamContentGetCreator,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000263, XamContentLaunchImage,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000264, XamContentGetAttributes,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000265, XamContentGetDeviceState,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000266, XamContentGetLicenseMask,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000267, XamContentFlush,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000268, XamContentResolve,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000269, XamContentOpenFile,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000026A, XamContentInstall,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000026B, XamContentLockUnlockPackageHeaders,                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000026C, XamContentCopyInternal,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000026D, XamContentMoveInternal,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000026E, XamContentGetMetaDataInternal,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000026F, XamContentCreateEnumeratorInternal,                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000270, XamContentDeleteInternal,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000271, XamContentCreateInternal,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000272, XamContentSetThumbnailInternal,                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000273, XamContentLaunchImageInternal,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000274, XamContentWritePackageHeader,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000275, XamContentDismountAndClosePackage,                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000276, XamContentResolveInternal,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000277, XamContentGetAttributesInternal,                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000278, XamContentOpenFileInternal,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000279, XamContentAggregateCreateEnumerator,                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000027A, XamContentCreateAndMountPackage,                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000027B, XamContentOpenPackageFile,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000027C, XamContentMountPackage,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000027D, XamContentFlushPackage,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000027E, XamContentClosePackageFile,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000027F, XamContentDuplicateFileHandle,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000280, XamGetExecutionId,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000281, XamGetGameRatings,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000282, XamGetSystemVersion,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000283, XamContentGetLocalizedString,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000284, XamContentGetDefaultDevice,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000285, XamContentInstallInternal,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000286, XamContentSetMediaMetaDataInternal,                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000287, XamContentGetDeviceSerialNumber,                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000288, XamContentGetMountedPackageByRootName,                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000289, XamContentRegisterChangeCallback,                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000028A, XamNotifyCreateListener,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000028B, XNotifyGetNext,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000028C, XNotifyPositionUI,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000028D, XNotifyDelayUI,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000028E, XNotifyBroadcast,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000028F, XNotifyRegisterArea,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000290, XNotifyQueueUI,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000291, XamNotifyCreateListenerInternal,                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000292, XNotifyUISetOptions,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000293, XNotifyUIGetOptions,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000294, XamContentLaunchImageInternalEx,                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000295, XamShutdown,                                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000296, XamAllocDevkitHeapAvailable,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000297, XamNotifyCreateListenerRangeInternal,                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000298, XNotifyQueueUIEx,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000299, XamAppRequestLoadEx,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000029A, XuiPNGTextureLoader,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000029B, XuiRenderGetXuiDevice,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000029C, XuiDefault_False,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000029D, XamUserGetReportingInfo,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000029E, XamUpdateStart,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000029F, XamUpdateGetProgress,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002A0, XamUpdateGetExtenderInstance,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002A1, XamUpdateFinish,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002A2, XamUpdateAttachExtenderInstance,                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002A3, XamUpdateAllocateExtenderBuffer,                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002A4, XamRestartTitleLoadAfterUpdate,                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002A5, XamUIThreadDisableFontPatching,                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002A6, XamUpdateGetBaseSystemVersion,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002A7, XamUpdateGetCurrentSystemVersion,                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002A8, XamUIThreadEnableFontPatching,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002A9, XamTerminateTitleForUpdate,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002AA, XamSystemUpdateInstallLocal,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002AB, XamUpdateChainPass3FromPass2,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002AD, XamInputGetCapabilitiesEx,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002AE, XamUserIsUnsafeProgrammingAllowed,                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002AF, XamDevAuthSetFaultEx,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002B0, XamUpdateGetData,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002B1, XamCacheIntegrityCheck,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002B2, XamCacheStoreFile,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002B3, XamCacheFetchFile,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002B4, XamCacheOpenFile,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002B5, XamCacheCloseFile,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002B6, XamGetCachedTitleName,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002B7, XamCacheReset,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002B8, XamGetCachedGamerTag,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002B9, XamGetCachedGamerTagW,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002BA, XamCacheDeleteFile,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002BB, XamCacheRenameFile,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002BC, XamShowSigninUI,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002BD, XamShowSigninUIEx,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002BE, XamShowSigninUIp,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002BF, XamShowFriendsUI,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002C0, XamShowMessagesUI,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002C1, XamShowKeyboardUI,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002C2, XamShowQuickChatUI,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002C3, XamShowVoiceMailUI,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002C4, XamShowGamerCardUI,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002C5, XamShowAchievementsUI,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002C6, XamShowPlayerReviewUI,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002C7, XamShowMarketplaceUI,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002C8, XamShowPlayersUI,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002C9, XamShowUpdaterUI,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002CA, XamShowMessageBoxUI,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002CB, XamShowDeviceSelectorUI,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002CC, XamShowMessageComposeUI,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002CD, XamShowGameInviteUI,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002CE, XamShowFriendRequestUI,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002CF, XamShowCreateProfileUI,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002D0, XamShowGamesUI,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002D1, XamShowLiveSignupUI,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002D2, XamShowFriendsUIp,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002D3, XamShowComplaintUI,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002D4, XamShowReputationUI,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002D5, XamShowGamerCardUIForXUID,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002D6, XamShowForcedNameChangeUI,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002D7, XamShowLiveUpsellUI,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002D8, XamShowPasscodeVerifyUI,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002D9, XamShowDirtyDiscErrorUI,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002DA, XamShowSignupCreditCardUI,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002DB, XamShowPrivateChatInviteUI,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002DC, XamShowMessageBoxUIEx,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002DD, XamShowRecentMessageUI,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002DE, XamShowRecentMessageUIEx,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002DF, XamShowMessagesUIEx,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002E0, XamShowAchievementDetailsUI,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002E1, XamShowPersonalizationUI,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002E2, XamShowChangeGamerTileUI,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002E3, XamShowVoiceSettingsUI,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002E4, XamShowVideoChatInviteUI,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002E5, XamShowCustomMessageComposeUI,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002E6, XamShowCustomPlayerListUI,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002E7, XamShowMarketplaceDownloadItemsUI,                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002E8, XamShowMarketplaceUIEx,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002E9, XamShowMessageBox,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002EA, XamIsSysUiInvokedByXenonButton,                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002EB, XamIsSysUiInvokedByTitle,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002EC, XamIsUIActive,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002ED, XamSysUiDisableAutoClose,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002EE, XamUserCreateAchievementEnumerator,                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002EF, XamReadTile,                                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002F0, XamWriteGamerTile,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002F1, XamWriteTile,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002F2, XamReadImage,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002F3, XamUserCreateTitlesPlayedEnumerator,                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002F4, XamDecompressPNGToTexture,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002F5, XamReadTileToTexture,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002F6, XamReadString,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002F7, XamUserCreateStatsEnumerator,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002F8, XamPrepareGamerTiles,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002F9, XamClearTitle,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002FA, XamReadStrings,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002FB, XamWriteGamerTileEx,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002FC, XamReadTileEx,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002FD, XamReadTileToTextureEx,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002FE, XamShowMessengerUI,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000002FF, XamShowKeyboardUIMessenger,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000300, XamShowLiveUpsellUIEx,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000301, XamShowJoinSessionInProgressUI,                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000302, XamShowGraduateUserUI,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000303, XamShowGamerCardUIForXUIDp,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000304, XamShowGuideUI,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000305, XamShowPartyUI,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000306, XamShowPartyInviteUI,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000307, XamUserAddRecentPlayer,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000308, XamUserUpdateRecentPlayer,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000309, XamUserCreatePlayerEnumerator,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000030A, XamParseGamerTileKey,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000030B, XamShowCommunitySessionsUI,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000030C, XamVoiceCreate,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000030D, XamVoiceHeadsetPresent,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000030E, XamVoiceSubmitPacket,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000030F, XamVoiceClose,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000310, XamVoiceGetBatteryStatus,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000311, Refresh,                                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000312, Refresh,                                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000313, XamShowJoinSessionByIdInProgressUI,                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000314, XamShowPartyJoinInProgressUI,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000315, XamBuildSharedSystemResourceLocator,                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000316, XamSessionCreateHandle,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000317, XamSessionRefObjByHandle,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000318, XamVoiceGetMicArrayStatus,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000319, XamVoiceSetAudioCaptureRoutine,                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000031A, XamVoiceGetDirectionalData,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000031B, XamBuildResourceLocator,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000031C, XamBuildSharedSystemResourceLocator,                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000031D, XamBuildGamercardResourceLocator,                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000031E, XamBuildDynamicResourceLocator,                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000031F, XamBuildXamResourceLocator,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000320, XuiAnimRun,                                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000321, XuiApplyLocale,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000322, XuiBubbleMessage,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000323, XuiControlIsBackButton,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000324, XuiControlIsNavButton,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000325, XuiCreateObject,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000326, XuiDestroyObject,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000327, XuiDynamicCast,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000328, XuiElementAddChild,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000329, XuiElementFindNamedFrame,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000032A, XuiElementGetChildById,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000032B, XuiElementGetFirstChild,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000032C, XuiElementGetFocus,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000032D, XuiElementGetFocusUser,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000032E, XuiElementGetId,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000032F, XuiElementGetLastChild,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000330, XuiElementGetNext,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000331, XuiElementGetParent,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000332, XuiElementGetUserFocus,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000333, XuiElementInitFocus,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000334, XuiElementInitUserFocus,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000335, XuiElementPlayTimeline,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000336, XuiElementSetBounds,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000337, XuiElementSetFocus,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000338, XuiElementSetUserFocus,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000339, XuiElementTreeGetFocus,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000033A, XuiFindClass,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000033B, XuiFreeStringTable,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000033C, XuiGetBaseObject,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000033D, XuiGetClass,                                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000033E, XuiGetObjectClass,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000033F, XuiGetOuter,                                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000340, XuiInit,                                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000341, XuiLoadFromBinary,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000342, XuiLoadStringTableFromFile,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000343, XuiVisualGetBasePath,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000344, XuiLookupStringTable,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000345, XuiNavButtonGetPressPath,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000346, XuiObjectFromHandle,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000347, XuiObjectGetProperty,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000348, XuiObjectGetPropertyId,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000349, XuiProcessInput,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000034A, XuiRegisterClass,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000034B, XuiRenderBegin,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000034C, XuiRenderCreateDC,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000034D, XuiRenderDCDeviceChanged,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000034E, XuiRenderDestroyDC,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000034F, XuiRenderEnd,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000350, XuiRenderGetBackBufferSize,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000351, XuiRenderInit,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000352, XuiRenderInitShared,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000353, XuiRenderPresent,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000354, XuiRenderSetViewTransform,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000355, XuiRenderUninit,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000356, XamShowNuiGuideUI,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000357, XuiSceneCreate,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000358, XuiSceneNavigateBack,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000359, XuiSceneNavigateFirst,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000035A, XuiSceneNavigateForward,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000035B, XuiScenePlayBackFromTransition,                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000035C, XuiScenePlayBackToTransition,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000035D, XuiScenePlayFromTransition,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000035E, XuiScenePlayToTransition,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000035F, XuiSendMessage,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000360, XuiSetLocale,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000361, XuiUninit,                                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000362, XuiUnregisterClass,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000363, XuiTextElementSetText,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000364, XuiSetTimer,                                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000365, XuiTimersRun,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000366, XuiTextElementGetText,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000367, XuiVisualSetBasePath,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000368, XuiHandleIsValid,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000369, XuiAlloc,                                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000036A, XuiFree,                                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000036B, XuiDefault_True,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000036C, XuiDefault_EmptyString,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000036D, XuiDefault_IntegerZero,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000036E, XuiCopyString,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000036F, XuiRealloc,                                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000370, XuiControlPlayOptionalVisual,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000371, XuiKillTimer,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000372, XuiElementEnableInput,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000373, XuiElementInputEnabled,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000374, XuiIsInstanceOf,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000375, XuiResourceComposeLocator,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000376, XuiResourceLocatorIsAbsolute,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000377, XuiBroadcastMessage,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000378, XuiElementDisallowRecursiveTimelineControl,                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000379, XUIElementPropVal_Construct,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000037A, XUIElementPropVal_Destruct,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000037B, XUIElementPropVal_SetString,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000037C, XuiObjectSetProperty,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000037D, XuiElementGetOpacity,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000037E, XuiElementSetOpacity,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000037F, XuiEditSetTextLimit,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000380, XuiEditGetTextLimit,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000381, XuiSliderSetValue,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000382, XuiSliderGetValue,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000383, XuiSliderSetRange,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000384, XuiElementUnlink,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000385, XuiElementInsertChild,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000386, XuiSceneNavigateBackToFirst,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000387, XuiProgressBarSetRange,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000388, XuiProgressBarSetValue,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000389, XuiProgressBarGetValue,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000038A, XuiControlAttachVisual,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000038B, XuiCreateTextureBrush,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000038C, XuiDestroyBrush,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000038D, XUIElementPropVal_SetColorFromUint,                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000038E, XuiFigureSetFill,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000038F, XuiSliderGetRange,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000390, XuiFigureSetTexture,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000391, XuiControlGetItemAssociation,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000392, XuiResourceLoadAll,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000393, XuiImageElementSetImagePath,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000394, XuiImageElementGetImagePath,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000395, XuiControlGetVisual,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000396, XuiControlGetNavigation,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000397, XuiLookupStringTableByIndex,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000398, XUIElementPropVal_SetBool,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000399, XuiElementHasFocus,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000039A, XUIElementPropVal_SetUint,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000039B, XUIElementPropVal_Clear,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000039C, XuiEditSetTextFormatInfo,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000039D, XuiCreateSolidBrush,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000039E, XuiSceneInterruptTransitions,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000039F, XuiResourceOpen,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003A0, XuiResourceRead,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003A1, XuiResourceClose,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003A2, XuiVisualCreateInstance,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003A3, XuiElementGetTimeline,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003A4, GetCodecVersion,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003A5, XuiElementIsDescendant,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003A6, XuiSetMessageFilter,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003A7, XuiAttachTextureBrush,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003A8, XuiElementBeginRender,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003A9, XuiElementEndRender,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003AA, XuiDrawShape,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003AB, XuiSelectBrushEx,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003AC, XuiFigureGetShape,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003AD, XuiFillRect,                                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003AE, XuiVec2TransformCoord,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003AF, XuiMatrixMultiply,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003B0, XuiElementGetXForm,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003B1, XuiElementSetPosition,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003B2, XuiSelectBrush,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003B3, XuiElementRenderChildren,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003B4, XuiFreeUnusedTextures,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003B5, XuiListEnableItemOverride,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003B6, XuiListGetDefaultItemSize,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003B7, XuiResourceSeek,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003B8, XuiElementDiscardResources,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003B9, XuiTabSceneGoto,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003BA, XuiTabSceneGetCurrentTab,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003BB, XamShowWhatsOnUI,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003BC, XamShowEditProfileUI,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003BD, XamShowStorePickerUI,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003BE, XamShowTermsOfUseUI,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003BF, XamShowJoinPartyUI,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003C0, XamShowWordRegisterUI,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003C1, XamOverrideHudOpenType,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003C2, XamShowAchievementsUIEx,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003C3, XamUserGetUserTenure,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003C4, XamUserGetSubscriptionType,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003C5, XamShowGameVoiceChannelUI,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003C6, XamShowAvatarAwardsUI,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003C7, XamShowAvatarAwardGamesUI,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003C8, XamShowVideoRichPresenceUI,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003C9, XamHudGetUserIndex,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003CA, XGetAudioFlags,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003CB, XGetAVPack,                                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003CC, XGetGameRegion,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003CD, XGetLanguage,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003CE, XapipGetLocale,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003CF, XGetVideoFlags,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003D0, XGetVideoStandard,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003D1, XGetVideoMode,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003D2, XamGetLanguage,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003D3, XUITimeline_Run,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003D4, XamSetAutomation,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003D5, XAutomationpBindController,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003D6, XAutomationpUnbindController,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003D7, XAutomationpInputXenonButton,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003D8, XAutomationpInputPress,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003D9, XAutomationpInputSetState,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003DA, XamEnableOverdraw,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003DB, g_XuiAutomation,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003DC, XamVoiceGetMicArrayAudio,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003DD, XampSystemInput,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003DE, XamInputControl,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003DF, XuiElementGetPosition,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003E0, XamIsMessageBoxActive,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003E1, XamIsBackgroundSceneInTransition,                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003E2, XuiElementTreeHasFocus,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003E3, XuiFigureClose,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003E4, GamerCardStartup,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003E5, GamerCardCleanup,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003E6, GamerCardRegisterControls,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003E7, GamerCardUnregisterControls,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003E8, RtlFindFirstFile,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003E9, RtlFindNextFile,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003EA, RtlGetModuleFileName,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003EB, RtlOutputDebugString,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003EC, RtlRemoveDirectory,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003ED, RtlSleep,                                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003EE, RtlGetLastError,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003EF, RtlSetLastError,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003F0, RtlSetLastNTError,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003F1, RtlDebugPrint,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003F2, RtlDebugError,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003F3, XDebugWarning,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003F4, RtlDebugTrace,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003F5, RtlDebugEntry,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003F6, RtlDebugExit,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003F7, RtlGetAttributesOnHeapAlloc,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003F8, RtlSetAttributesOnHeapAlloc,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003F9, XuiFigureSetShape,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003FA, RtlCreateHeap,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003FB, RtlDestroyHeap,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003FC, RtlAllocateHeap,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003FD, RtlAllocateHeapSlowly,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003FE, RtlReAllocateHeap,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000003FF, RtlFreeHeap,                                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000400, RtlFreeHeapSlowly,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000401, RtlSizeHeap,                                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000402, RtlZeroHeap,                                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000403, RtlDebugWalkHeap,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000404, RtlWalkHeap,                                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000405, RtlLockHeap,                                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000406, RtlUnlockHeap,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000407, RtlValidateHeap,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000408, RtlDebugCompactHeap,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000409, RtlCompactHeap,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000040A, XamAppSetTestOption,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000040B, XamAppReportError,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000040C, XamIsNuiUIActive,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000040D, XamVerifyPasscode,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000040E, OutputDebugStringA,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000040F, DebugBreak,                                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000410, GetCurrentThreadId,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000411, XDebugError,                                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000412, XDebugWarning,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000413, RtlDebugSetLevel,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000414, CloseHandle,                                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000415, GetTickCount,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000416, GetLastError,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000417, SetFilePointer,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000418, SetFilePointerEx,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000419, SetLastError,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000041A, MultiByteToWideChar,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000041B, WideCharToMultiByte,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000041C, ReadFile,                                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000041D, FlushFileBuffers,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000041E, WriteFile,                                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000041F, OutputDebugStringW,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000420, SetEvent,                                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000421, XapiFormatTimeOut,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000422, CreateMutexA,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000423, OpenMutexA,                                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000424, ReleaseMutex,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000425, WaitForSingleObject,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000426, WaitForSingleObjectEx,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000427, GetFileSize,                                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000428, GetFileSizeEx,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000429, XapiDirectoryInformationToFindData,                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000042A, XapiFormatObjectAttributes,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000042B, ResetEvent,                                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000042C, wsprintfA,                                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000042D, wsprintfW,                                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000042E, GetOverlappedResult,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000042F, QueryPerformanceCounter,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000430, QueryPerformanceFrequency,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000431, LocalAlloc,                                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000432, LocalFree,                                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000433, RaiseException,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000434, RtlUniform,                                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000435, RtlRandom,                                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000436, Sleep,                                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000437, SleepEx,                                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000438, XMemSet,                                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000439, XRegisterThreadNotifyRoutine,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000043A, XGetOverlappedExtendedError,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000043B, XGetOverlappedResult,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000043C, CreateThread,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000043D, ResumeThread,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000043E, ExitThread,                                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000043F, GetTimeZoneInformation,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000440, GetSystemTimeAsFileTime,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000441, SystemTimeToFileTime,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000442, FileTimeToSystemTime,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000443, GetSystemTime,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000444, GetLocalTime,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000445, CreateDirectoryA,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000446, CreateEventA,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000447, CreateFileA,                                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000448, DeleteFileA,                                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000449, FindFirstFileA,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000044A, FindNextFileA,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000044B, GetFileAttributesA,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000044C, XamLoaderGetCurrentTitleD3DVersion,                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000044D, GetFileAttributesExA,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000044E, GetModuleHandleA,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000044F, GetDiskFreeSpaceExA,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000450, CopyFileA,                                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000451, SetEndOfFile,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000452, XamFamilyAddParentalExemptionToList,                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000453, XamFamilyIsParentalValidationRequired,                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000454, PIXBeginCapture,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000455, PIXEndCapture,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000456, PIXAddCounter,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000457, PIXGetGPUSlot,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000458, SetWaitableTimer,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000459, CancelWaitableTimer,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000045A, CreateWaitableTimerA,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000045B, DuplicateHandle,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000045C, XapipCreateThread,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000045D, lstrcpyA,                                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000045E, lstrcpyW,                                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000045F, lstrcpynA,                                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000460, lstrcpynW,                                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000461, lstrcatA,                                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000462, lstrcatW,                                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000463, lstrlenA,                                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000464, lstrlenW,                                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000465, IsBadReadPtr,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000466, IsBadWritePtr,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000467, FileTimeToLocalFileTime,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000468, XMemCpy,                                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000469, XMemCpyStreaming,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000046A, XamHudSetUserIndex,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000046B, XamShowNuiTroubleshooterUI,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000046C, XamTestShowNuiTroubleshooterUI,                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000046D, XamShowPasscodeVerifyUIEx,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000046E, XamShowNuiAchievementsUI,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000046F, XamShowNuiCommunitySessionsUI,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000470, XamShowNuiDeviceSelectorUI,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000471, XamShowNuiDirtyDiscErrorUI,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000472, XamShowNuiFriendsUI,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000473, XamShowNuiGameInviteUI,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000474, XamShowNuiGamerCardUIForXUID,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000475, XamShowNuiMarketplaceDownloadItemsUI,                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000476, XamShowNuiMarketplaceUI,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000477, XamShowNuiMessageBoxUI,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000478, XamShowNuiPartyUI,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000479, XamShowNuiFriendRequestUI,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000047A, XamShowNuiSigninUI,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000047B, XamShowNuiControllerRequiredUI,                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000047C, XamShowNuiGamesUI,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000047D, XamShowNuiHardwareRequiredUI,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000047E, XamCacheStoreFileByString,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000047F, XamCacheFetchFileByString,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000480, XamCacheDeleteFileByString,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000481, XamGetCachedTitleNameEx,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000482, XamXlfsInitializeUploadQueue,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000483, XamXlfsUninitializeUploadQueue,                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000484, XamXlfsMountUploadQueueInstance,                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000485, XamXlfsUnmountUploadQueueInstance,                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000486, XamVoiceRecordUserPrivileges,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000487, XamXlfsInitializeUploadQueueWithTestHooks,                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000488, XamXlfsNotifyContentDeletion,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000489, XMemAlloc,                                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000048A, XMemFree,                                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000048B, XMemSize,                                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000048C, XamVoiceSetMicArrayIdleUsers,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000048D, XamVoiceMuteMicArray,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000048E, XamVoiceGetMicArrayUnderrunStatus,                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000048F, XuiSceneEnableTransitionDependency,                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000490, XamVoiceGetMicArrayAudioEx,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000491, XamVoiceDisableMicArray,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000497, XamVoiceIsActiveProcess,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000004B0, XMPRegisterCodec,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000514, XamIsCurrentTitleIptv,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000515, XamIsIptvEnabled,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000516, XamIsDvrRecording,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000517, XamIptvUninstall,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000518, XamGetDvrStorage,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000519, XamSetDvrStorage,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000051A, XamIptvGetServiceName,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000051B, XamNuiHudGetEngagedEnrollmentIndex,                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000578, XamReminderGetItems,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000579, XamReminderClearItems,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000057A, XamReminderItemAdd,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000057B, XamReminderItemRemove,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000057C, XamReminderGetNextItem,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000057D, XamReminderGetModifiedTime,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000057E, XamReminderClearCache,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000005DC, XamAvatarInitialize,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000005DD, XamAvatarShutdown,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000005DE, XamAvatarGetManifestLocalUser,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000005DF, XamAvatarGetManifestsByXuid,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000005E0, XamAvatarGetAssetsResultSize,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000005E1, XamAvatarGetAssets,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000005E2, XamAvatarGenerateMipMaps,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000005E3, XamAvatarSetCustomAsset,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000005E4, XamAvatarSetManifest,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000005E5, EnumerateMediaObjects,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000005E6, EnumerateMediaObjects,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000005E7, XamAvatarLoadAnimation,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000005E8, XamAvatarBeginEnumAssets,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000005E9, XamAvatarEndEnumAssets,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000005EA, XamAvatarEnumAssets,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000005EB, XamAvatarGetMetadataRandom,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000005EC, EnumerateMediaObjects,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000005ED, EnumerateMediaObjects,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000005EE, XamAvatarGetMetadataSignedOutProfileCount,                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000005EF, XamAvatarGetMetadataSignedOutProfile,                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000005F0, EnumerateMediaObjects,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000005F1, XamAvatarManifestGetBodyType,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000005F2, XamAvatarGetInstrumentation,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000005F3, XamAvatarGetAssetIcon,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000005F4, XamAvatarWearNow,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000005F5, XamAvatarGetAssetBinary,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000005F6, XamAvatarReinstallAwardedAsset,                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000005F7, XamAvatarGetInstalledAssetPackageDescription,               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000005F8, XamAvatarSetMocks,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000060E, XamContentMountInstalledGame,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000060F, XamContentIsGameInstalledToHDD,                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000610, XamContentQueryLicenseInternal,                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000611, XamContentGetDeviceVolumePath,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000612, XamContentDeviceCheckUpdates,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000613, XamContentGetHeaderInternal,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000640, XamPackageManagerFindPackageContainingIndexedXEX,           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000641, XamPackageManagerReinitialize,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000642, XamPackageManagerGetAuthoritativeManifestVersion,           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000643, XamGetCurrentSystemOnlineManifestRevision,                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000644, XamPackageManagerDeleteExtendedPartition,                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000645, XamPackageManagerHasExtendedPartition,                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000646, XamPackageManagerGetExperienceMode,                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000647, XamPackageManagerGetFeatureRequiresUpdateStrings,           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000648, XamPackageManagerGetFileSize,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000649, XampDemandUpdateGetAttributes,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000064A, XampDemandUpdateGetExtendedAttributes,                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000064B, XampDemandUpdateGetInstance,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000064C, XampDemandUpdateSetRefreshTestFlags,                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000064D, XampDemandUpdateIsRefreshTestFlagSet,                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000064E, XampDemandUpdateGetManifestLocalPath,                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000064F, XampDemandUpdateRefreshManifest,                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000650, XdfInitialize,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000651, XdfShutdown,                                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000652, XdfGetExpectedDownloadSize,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000653, XdfGetItem,                                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000654, XdfCacheItem,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000655, XdfLoadXexFromCache,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000656, XdfLoadXex,                                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000657, XdfCancelRequest,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000658, XdfResumeDelayedItem,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000659, XdfLaunchNewImageFromCache,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000065A, XampDemandUpdateRefreshManifestDuringLogon,                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000065B, XampDemandUpdateCheckOnlineManifestChanged,                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000065C, XampDemandUpdateRunCacheCleaner,                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000686, XamXStudioRequest,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000006A4, XamShowAvatarMiniCreatorUI,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000006A5, XamShowGoldUpgradeUI,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000006A6, XamResumeUpdaterUI,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000006A7, XamShowDirectAcquireUI,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000006A8, XamShowPaymentOptionsUI,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000708, XamGetLiveHiveValueA,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000709, XamGetLiveHiveValueW,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000070A, XamGetLiveHiveValueDuringLogonAttemptA,                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000076C, XamDownloadMarketplaceStoresList,                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000076D, XamGetStoreFront,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000076E, XamSetStagingMode,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000076F, XamGetStagingMode,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000770, XamAppGetSessionId,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000007D0, XamDoesOmniNeedConfiguration,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000007D1, XamFirstRunExperienceShouldRun,                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000007D2, GetProcessHeap,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000007D3, UnhandledExceptionFilter,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000007D4, SetUnhandledExceptionFilter,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000007D5, XamIsOptionalMediaUpdateInstalled,                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000007D6, XamShowOptionalMediaUpdateRequiredUI,                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000007D7, XamShowOptionalMediaUpdateRequiredUIEx,                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000007D8, XamShowFirstRunWelcomeUI,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000007D9, XamTaskCreateQueueEx,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000007DA, XamSetDashBackstackData,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000007DB, XamLaunchAvatarEditor,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000007DC, XamGetDashBackstackData,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000007DD, XamGetDashBackstackNodesCount,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000007DE, XamSetLastActiveUserData,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000007DF, XamGetLastActiveUserData,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000007E0, XamSetActiveDashAppInfo,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000007E1, XamGetActiveDashAppInfo,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000802, XamUserCreateAvatarAssetEnumerator,                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000803, XamInitializeGameTileCache,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000804, XamDestroyGameTileCache,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000805, XamReadGameTileImage,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000806, XamShouldThrottleAccountInfoCall,                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000807, XuiClassDerivesFrom,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000808, XuiFreeVisuals,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000809, XuiGetBaseClass,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000080A, XuiLoadVisualFromBinary,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000080B, XuiResourceGetBuffer,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000080C, XuiResourceGetTotalSize,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000080D, XuiElementGetUserData,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000080E, XuiElementSetUserData,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000080F, XuiTabSceneGetCount,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000810, XuiSliderGetStep,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000811, XuiSliderSetStep,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000812, XuiProgressBarGetRange,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000813, XuiElementSetHittable,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000814, XuiElementPlayNamedFrames,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000815, XuiElementGetPivot,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000816, XuiElementGetPrev,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000817, XuiElementGetScale,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000818, XuiElementSetPivot,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000819, XuiElementSetRotation,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000081A, XuiElementSetScale,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000081B, XuiControlWantsUnfocusedInput,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000081C, XuiResourceOpenNoLoc,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000081D, XuiResourceReleasePackage,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000081E, XuiResourceGetPackageEntryInfo,                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000081F, XuiResourceGetPackageEntryCount,                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000820, XuiResourceOpenPackage,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000821, XamCodeCoverageFileOpen,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000822, XamCodeCoverageFileClose,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000823, XamCodeCoverageFileLseek,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000824, XamCodeCoverageFileRead,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000825, XamCodeCoverageFileWrite,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000826, Refresh,                                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000827, XampHeapGetInfo,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000828, XampHeapGetCount,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000829, XamShowPamUI,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000082A, XuiElementLayoutTree,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000082B, XamRegisterScreenSaverCallback,                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000082C, XUIElementPropVal_SetInt,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000082D, XUIElementPropVal_SetFloat,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000082E, XuiObjectGetPropertyDef,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000082F, XuiRenderGetDevice,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000830, XuiRenderRestoreState,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000831, XuiElementGetFullXForm,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000832, XuiRenderGetViewTransform,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000833, XuiRenderGetColorSpace,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000834, XamPngEncode,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000835, XamPngDecode,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000836, XamPngEncodeEx,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000837, XuiTextElementMeasureText,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000838, XamLoaderShouldConfirmReboot,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000839, XamLoaderRebootToDash,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000083A, XamNuiHudGetEngagedTrackingID,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000083B, XamLoaderLaunchTitleForReason,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000083C, XamNuiHudSetEngagedTrackingID,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000083E, XamSetupTexture,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000841, XamSetupCameraPreviewStuff,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000842, XamReleaseCameraPreviewStuff,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000843, XamRenderCameraPreviewStuff,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000848, XamAccountRecoveryGetSetTitleSyncTime,                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000849, XamReadBiometricData,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000084A, XamWriteBiometricData,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000084B, XamD3DResourceDescriptorCreate,                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000084C, XamD3DResourceDescriptorAddRef,                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000084D, XamD3DResourceDescriptorRelease,                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000084E, XamD3DResourceAddRef,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000084F, XamD3DResourceSet,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000850, XamD3DResourceIsBusy,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000851, XamD3DResourceRelease,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000085E, XamNuiEnableChatMic,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000085F, XamNuiIsChatMicEnabled,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000860, XamNuiGetDepthCalibration,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000861, XamNuiStoreDepthCalibration,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000862, XamUserNuiIsBiometricEnabled,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000863, XamUserNuiEnableBiometric,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000864, XamNuiCameraSetFlags,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000865, XamNuiCameraRememberFloor,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000866, XamUserNuiGetUserIndexForBind,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000867, XamUserNuiGetUserIndexForSignin,                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000868, XamUserNuiBind,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000869, XamUserNuiGetUserIndex,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000086A, XamUserNuiGetEnrollmentIndex,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000086B, XamUserNuiUnbind,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000086C, XamNuiIdentityGetQualityFlagsMessage,                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000086D, XamNuiCameraTiltSetCallback,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000086E, XamNuiHudIsEnabled,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000086F, XamNuiCameraGetTiltControllerType,                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000870, XamNuiCameraTiltGetStatus,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000871, XamNuiIdentityGetQualityFlags,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000872, XamNuiIdentityEnrollForSignIn,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000873, XamNuiIdentityGetSessionId,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000874, XamNuiIdentityIdentifyWithBiometric,                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000875, ControlPackGetHandleManager,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000876, XamEnableNuiAutomation,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000877, XamNuiGetSystemGestureControl,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000878, XamGetPasscodeKeyFromVirtualKey,                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000879, XamEnableNatalPlayback,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000087A, XamIsNuiAutomationEnabled,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000087B, XamIsNatalPlaybackEnabled,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000087C, XamNuiHudInterpretFrame,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000087D, XamNuiHudEnableInputFilter,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000087E, ControlpackNuiCursorSetTrackingId,                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000087F, XamNuiHudGetInitializeFlags,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000880, XamNuiCameraElevationSetAngle,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000881, XamNuiCameraElevationGetAngle,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000882, XamNuiCameraElevationAutoTilt,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000883, XamNuiCameraElevationStopMovement,                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000884, XamNuiCameraElevationSetCallback,                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000885, XamNuiGetDeviceStatus,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000886, XamNuiNatalCameraUpdateStarting,                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000887, XamNuiNatalCameraUpdateComplete,                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000888, XamNuiHudGetVersions,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000889, XamGetHUDElementByPath,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000088A, XamGetHUDElementByAutoId,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000088B, XuiElementGetScreenPositionCenter,                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000088C, XamNuiCameraElevationReverseAutoTilt,                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000088D, ControlPackSimpleCursorGetRayFromScreenPosition,            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000088E, ControlPackSideNavControlGetNuiHandle,                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000088F, XamFindHUDElementByXuiId,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000890, XamNuiIsDeviceReady,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000891, XamNuiSetForceDeviceOff,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000892, XamNuiPlayerEngagementUpdate,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000893, XamNuiSkeletonGetBestSkeletonIndex,                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000894, XamNuiSkeletonScoreUpdate,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000895, XamNuiCameraTiltReportStatus,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000896, XamNuiCameraAdjustTilt,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000898, D3DDevice_CreateVertexShader,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000899, D3DDevice_CreatePixelShader,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000089A, D3DDevice_CreateTexture,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000089B, D3DDevice_CreateVertexBuffer,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000089C, D3DDevice_CreateIndexBuffer,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000089D, D3DDevice_CreateVertexDeclaration,                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000089E, D3DVertexBuffer_Unlock,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x0000089F, D3DVertexBuffer_Lock,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008A0, D3DIndexBuffer_Unlock,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008A1, D3DIndexBuffer_Lock,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008A2, D3DTexture_UnlockRect,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008A3, D3DTexture_LockRect,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008A4, D3DDevice_Clear,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008A5, D3DDevice_SetViewport,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008A6, D3DDevice_GetViewport,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008A7, D3DVertexShader_Release,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008A8, D3DPixelShader_Release,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008A9, D3DVertexDeclaration_Release,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008AA, D3DResource_Release,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008AB, D3DDevice_Release,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008AC, D3DDevice_SetVertexShader,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008AD, D3DDevice_SetPixelShader,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008AE, D3DDevice_SetTexture,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008AF, D3DDevice_SetVertexDeclaration,                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008B0, D3DDevice_SetIndices,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008B1, D3DDevice_SetStreamSource,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008B2, D3DDevice_DrawVertices,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008B3, D3DDevice_DrawVerticesUP,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008B4, D3DDevice_DrawIndexedVertices,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008B5, D3DDevice_DrawIndexedVerticesUP,                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008B6, D3DDevice_SetVertexShaderConstantF_ParameterCheck,          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008B7, D3DDevice_SetPixelShaderConstantF_ParameterCheck,           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008B8, D3DDevice_SetSamplerState_ParameterCheck,                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008B9, D3DDevice_SetRenderState_ParameterCheck,                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008BA, D3DDevice_GetRenderState_ParameterCheck,                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008BB, D3DDevice_SetVertexShaderConstantFN,                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008BC, D3DDevice_SetPixelShaderConstantFN,                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008BD, D3DDevice_GetRenderState_ZEnable,                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008BE, D3DDevice_GetRenderState_CullMode,                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008BF, D3DDevice_GetRenderState_AlphaBlendEnable,                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008C0, D3DDevice_GetRenderState_SrcBlendAlpha,                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008C1, D3DDevice_GetRenderState_DestBlendAlpha,                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008C2, D3DDevice_GetRenderState_BlendOp,                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008C3, D3DDevice_GetRenderState_ViewportEnable,                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008C4, D3DDevice_SetRenderState_ZEnable,                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008C5, D3DDevice_SetRenderState_CullMode,                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008C6, D3DDevice_SetRenderState_AlphaBlendEnable,                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008C7, D3DDevice_SetRenderState_SrcBlendAlpha,                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008C8, D3DDevice_SetRenderState_DestBlendAlpha,                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008C9, D3DDevice_SetRenderState_BlendOp,                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008CA, D3DDevice_SetRenderState_ViewportEnable,                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008CB, D3DDevice_SetSamplerState_MagFilter,                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008CC, D3DDevice_SetSamplerState_MinFilter,                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008CD, D3DDevice_SetSamplerState_AddressU,                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008CE, D3DDevice_SetSamplerState_AddressV,                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008CF, XGSetTextureHeader,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008D0, XGGetTextureDesc,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008D1, XGOffsetResourceAddress,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008D2, D3DResource_AddRef,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008D3, D3DVertexShader_AddRef,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008D4, D3DPixelShader_AddRef,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008D5, D3DVertexDeclaration_AddRef,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008D6, XGSetTextureHeaderEx,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008D7, D3DDevice_GetRenderTarget,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008D8, D3DDevice_SetRenderTarget,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008D9, D3DDevice_GetDepthStencilSurface,                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008DA, D3DDevice_SetDepthStencilSurface,                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008DB, D3DDevice_Resolve,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008DC, D3DDevice_SetPixelShaderConstantB,                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008DD, XamNuiGetDeviceSerialNumber,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008FC, XamXtwManagerGetVariableCount,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008FD, XamXtwManagerGetId,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008FE, XamXtwManagerGetValue,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000008FF, XamXtwManagerSetValue,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000900, XamXtwManagerIncrement,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000901, XamXtwManagerDecrement,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000902, XamXtwManagerResetValue,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000903, XamXtwManagerResetAll,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000904, XamXtwManagerGetDataFilePath,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000905, XamXtwManagerDeleteDataFile,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000906, XamXtwManagerSave,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000907, XamXtwManagerLoad,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000908, XamGetXTweakManager,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000009C4, XamBackgroundDownloadSetMode,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000009C5, XamBackgroundDownloadIsEnabled,                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000009C6, XamBackgroundDownloadGetActiveItem,                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000009C7, XamBackgroundDownloadGetItems,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000009C8, XamBackgroundDownloadClearItems,                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000009C9, XamBackgroundDownloadItemAdd,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000009CA, XamBackgroundDownloadItemRemove,                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000009CB, XamBackgroundDownloadItemMakeFirst,                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000009CC, XamBackgroundDownloadSetForegroundPriority,                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000009CD, XamBackgroundDownloadGetForegroundPriority,                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000009CE, XamBackgroundDownloadItemToContentData,                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000009CF, XamBackgroundDownloadItemGetStatus,                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000009D0, XamBackgroundDownloadHistoryGetItem,                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000009D1, XamBackgroundDownloadItemGetHistoryStatus,                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000009D2, XamBackgroundDownloadItemSetHistoryStatus,                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000009D3, XamBackgroundDownloadItemGetStatusAsync,                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000009D4, XamBackgroundDownloadItemGetStatusEx,                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000009D5, XamBackgroundDownloadItemGetHistoryStatusEx,                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000009D6, XamBackgroundDownloadBindItems,                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000009D7, XamBackgroundDownloadSetPollingActive,                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000009D8, XamBackgroundDownloadGetPollingActive,                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000009D9, XamBackgroundDownloadGetMode,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000009DA, XamBackgroundDownloadGetUnexpectedChangeCount,              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000009DB, XamBackgroundDownloadIsItemForThisConsole,                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000009DC, XamBackgroundDownloadSelectDevice,                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000009DD, XamBackgroundDownloadItemModify,                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000009DE, XamBackgroundDownloadCacheLegacyMappingInfo,                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000009DF, XamBackgroundDownloadGetLegacyMappingInfo,                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000009E0, XamBackgroundDownloadGetLegacyId,                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x000009E1, XamBackgroundDownloadDoFail,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000A28, XamSwapDisc,                                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000A29, XamSwapDiscPatchAddress,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000A2A, XamSwapCancel,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000A32, XamRamDriveCreate,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000A33, XamRamDriveDestroy,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000A5A, XamPlayTimerGetData,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000A5B, XamPlayTimerSetData,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000A5C, XamPlayTimerResume,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000A5D, XamPlayTimerSuspend,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000A5E, XamPlayTimerIsRunning,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000A5F, XamPlayTimerIsEnabled,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000A60, XamPlayTimerGetNextResetDate,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000A61, XamPlayTimerFormatDurationString,                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000A62, XamPlayTimerGetTimeRemaining,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000A63, XamPlayTimerUpdateTimeRemaining,                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000A64, XamPlayTimerForceNotification,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000A65, XamPlayTimerRefreshResetDate,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000A6E, UpnpAVServerSearchInitialize,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000A6F, UpnpAVServerSearchDestroy,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000A70, UpnpAVServerSearchStart,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000A71, Destroy,                                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000A72, UpnpAVServerSearchDoWork,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000A73, UpnpAVServerSearchGetNextServer,                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000A8C, XCustomBroadcastGamercardEvent,                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000A8D, XamCustomGetCurrentActions,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000AA0, XamInstrumentationLogEvent,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000AA1, XamRegisterSMCNotification,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000AAA, XamInstrumentationLogEventEx,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000AAB, XamInstrumentationGetSourceConfig,                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000AAC, XamInstrumentationDebugConfig,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000ADC, CurlCreateCacheEntry,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000ADD, CurlOpenCacheEntry,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000ADE, CurlSetCacheEntryExpireTime,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000ADF, CurlReadCacheEntryHeaders,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000AE0, CurlReadCacheEntryContent,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000AE1, CurlWriteCacheEntryContent,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000AE2, CurlCloseCacheEntry,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000AE3, CurlEnumerateCacheEntry,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000AE5, CurlWipeBackingFiles,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000AE7, CurlOpenTitleBackingFile,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000AF0, XamSetSecurityViolationDetected,                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000AF1, XamIsSecurityViolationDetected,                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000AF2, XamIsAnySecurityViolationDetected,                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000AF3, XamGetSecurityViolationsDetected,                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000AF4, XamActivateCounterMeasure,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000AF5, XamDeactivateCounterMeasure,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000AF6, XamIsCounterMeasureActivated,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000AF7, XamGetActiveCounterMeasures,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000AFC, XamPartyCreate,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000AFD, XamPartyLeave,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000AFE, XamPartySendInviteDeprecated,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000AFF, XamPartyGetUserList,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000B00, XamPartySendGameInvites,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000B01, XamPartyJoin,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000B02, XamPartyKickUser,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000B03, XamPartyAddLocalUsers,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000B04, XamConvertEmoticons,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000B05, XamGetLocaleTimeFormat,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000B06, XamPartyRemoveLocalUsers,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000B07, XamPartyGetUserListInternal,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000B08, XamPartySetJoinable,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000B09, XamPartyGetJoinable,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000B0A, XamPartyGetInfo,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000B0B, XamPartySetCustomData,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000B0C, XamPartySetConnectivityGraph,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000B0D, XamPartyGetRoutingTable,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000B0E, XamPartyAutomationInprocCall,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000B0F, XamPartyGetState,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000B10, XamPartyGetBandwidth,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000B11, XamPartyGetNetworkCounters,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000B12, XamShowQuickLaunchUI,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000B13, XamPartyIsCoordinator,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000B14, XamPartyGetFormation,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000B15, XamPartySendInvite,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000B16, XamPartySetTestDelay,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000B17, XamPartyOverrideNatType,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000B18, XamPartyGetAccessLevel,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000B19, XamPartySetTestFlags,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000B1A, XamIsSystemExperienceTitleId,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000B22, XamTaskSetCancelSubTasks,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000B23, XamTaskGetCompletionStatus,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000B24, XamTaskCancelWaitAndCloseWaitTask,                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000B2C, XamWebInstrumentationCreateReport,                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000B2D, XamWebInstrumentationSetUserVar,                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000B2E, XamWebInstrumentationSetUserVarNoEscape,                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000B2F, XamWebInstrumentationGetURL,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000B30, XamWebInstrumentationSendReport,                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000B31, XamWebInstrumentationDestroyReport,                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000B32, XamWebInstrumentationCreateSampledReport,                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000B33, XampSetSamplingRandomValue,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000B34, XampWebInstrumentationSetProfileCounts,                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000B35, XamWebInstrumentationGetURLEx,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000B36, XampSetOmnitureCallbackFunction,                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000B37, XamShowQuickChatUIp,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xam,      0x00000B4A, XamVerifyXSignerSignature,                                  ?           , FLAG(Function)),
};


#undef FLAG


#endif  // XENIA_KERNEL_MODULES_XAM_TABLE_H_
