/**
 ******************************************************************************
 * Xenia : Xbox 360 Emulator Research Project                                 *
 ******************************************************************************
 * Copyright 2013 Ben Vanik. All rights reserved.                             *
 * Released under the BSD license - see LICENSE in the root for more details. *
 ******************************************************************************
 */

#ifndef XENIA_KERNEL_MODULES_XBOXKRNL_TABLE_H_
#define XENIA_KERNEL_MODULES_XBOXKRNL_TABLE_H_

#include <xenia/kernel/export.h>


#define FLAG(t)             kXEKernelExportFlag##t


static xe_kernel_export_t xe_xboxkrnl_export_table[] = {
XE_DECLARE_EXPORT(xboxkrnl, 0x00000001, DbgBreakPoint,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000002, DbgBreakPointWithStatus,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000003, DbgPrint,                                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000004, DbgPrompt,                                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000005, DumpGetRawDumpInfo,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000006, DumpWriteDump,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000007, ExAcquireReadWriteLockExclusive,                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000008, ExAcquireReadWriteLockShared,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000009, ExAllocatePool,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000000A, ExAllocatePoolWithTag,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000000B, ExAllocatePoolTypeWithTag,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000000C, ExConsoleGameRegion,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000000D, ExCreateThread,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000000E, ExEventObjectType,                                          ?           , FLAG(Variable)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000000F, ExFreePool,                                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000010, ExGetXConfigSetting,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000011, ExInitializeReadWriteLock,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000012, ExMutantObjectType,                                         ?           , FLAG(Variable)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000013, ExQueryPoolBlockSize,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000014, ExRegisterThreadNotification,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000015, ExRegisterTitleTerminateNotification,                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000016, ExReleaseReadWriteLock,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000017, ExSemaphoreObjectType,                                      ?           , FLAG(Variable)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000018, ExSetXConfigSetting,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000019, ExTerminateThread,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000001A, ExTerminateTitleProcess,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000001B, ExThreadObjectType,                                         ?           , FLAG(Variable)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000001C, ExTimerObjectType,                                          ?           , FLAG(Variable)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000001D, MmDoubleMapMemory,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000001E, MmUnmapMemory,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000001F, XeKeysGetConsoleCertificate,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000020, FscGetCacheElementCount,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000021, FscSetCacheElementCount,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000022, HalGetCurrentAVPack,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000023, HalGpioControl,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000024, HalOpenCloseODDTray,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000025, HalReadWritePCISpace,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000026, HalRegisterPowerDownNotification,                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000027, HalRegisterSMCNotification,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000028, HalReturnToFirmware,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000029, HalSendSMCMessage,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000002A, HalSetAudioEnable,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000002B, InterlockedFlushSList,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000002C, InterlockedPopEntrySList,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000002D, InterlockedPushEntrySList,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000002E, IoAcquireDeviceObjectLock,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000002F, IoAllocateIrp,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000030, IoBuildAsynchronousFsdRequest,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000031, IoBuildDeviceIoControlRequest,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000032, IoBuildSynchronousFsdRequest,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000033, IoCallDriver,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000034, IoCheckShareAccess,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000035, IoCompleteRequest,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000036, IoCompletionObjectType,                                     ?           , FLAG(Variable)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000037, IoCreateDevice,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000038, IoCreateFile,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000039, IoDeleteDevice,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000003A, IoDeviceObjectType,                                         ?           , FLAG(Variable)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000003B, IoDismountVolume,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000003C, IoDismountVolumeByFileHandle,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000003D, IoDismountVolumeByName,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000003E, IoFileObjectType,                                           ?           , FLAG(Variable)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000003F, IoFreeIrp,                                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000040, IoInitializeIrp,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000041, IoInvalidDeviceRequest,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000042, ExSetBetaFeaturesEnabled,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000043, IoQueueThreadIrp,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000044, IoReleaseDeviceObjectLock,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000045, IoRemoveShareAccess,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000046, IoSetIoCompletion,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000047, IoSetShareAccess,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000048, IoStartNextPacket,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000049, IoStartNextPacketByKey,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000004A, IoStartPacket,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000004B, IoSynchronousDeviceIoControlRequest,                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000004C, IoSynchronousFsdRequest,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000004D, KeAcquireSpinLockAtRaisedIrql,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000004E, KeAlertResumeThread,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000004F, KeAlertThread,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000050, KeBlowFuses,                                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000051, KeBoostPriorityThread,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000052, KeBugCheck,                                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000053, KeBugCheckEx,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000054, KeCancelTimer,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000055, KeConnectInterrupt,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000056, KeContextFromKframes,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000057, KeContextToKframes,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000058, KeCreateUserMode,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000059, KeDebugMonitorData,                                         ?           , FLAG(Variable)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000005A, KeDelayExecutionThread,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000005B, KeDeleteUserMode,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000005C, KeDisconnectInterrupt,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000005D, KeEnableFpuExceptions,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000005E, KeEnablePPUPerformanceMonitor,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000005F, KeEnterCriticalRegion,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000060, KeEnterUserMode,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000061, KeFlushCacheRange,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000062, KeFlushCurrentEntireTb,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000063, KeFlushEntireTb,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000064, KeFlushUserModeCurrentTb,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000065, KeFlushUserModeTb,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000066, KeGetCurrentProcessType,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000067, KeGetPMWRegister,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000068, KeGetPRVRegister,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000069, KeGetSocRegister,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000006A, KeGetSpecialPurposeRegister,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000006B, KeLockL2,                                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000006C, KeUnlockL2,                                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000006D, KeInitializeApc,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000006E, KeInitializeDeviceQueue,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000006F, KeInitializeDpc,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000070, KeInitializeEvent,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000071, KeInitializeInterrupt,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000072, KeInitializeMutant,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000073, KeInitializeQueue,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000074, KeInitializeSemaphore,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000075, KeInitializeTimerEx,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000076, KeInsertByKeyDeviceQueue,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000077, KeInsertDeviceQueue,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000078, KeInsertHeadQueue,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000079, KeInsertQueue,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000007A, KeInsertQueueApc,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000007B, KeInsertQueueDpc,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000007C, KeIpiGenericCall,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000007D, KeLeaveCriticalRegion,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000007E, KeLeaveUserMode,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000007F, KePulseEvent,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000080, KeQueryBackgroundProcessors,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000081, KeQueryBasePriorityThread,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000082, KeQueryInterruptTime,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000083, KeQueryPerformanceFrequency,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000084, KeQuerySystemTime,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000085, KeRaiseIrqlToDpcLevel,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000086, KeRegisterDriverNotification,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000087, KeReleaseMutant,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000088, KeReleaseSemaphore,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000089, KeReleaseSpinLockFromRaisedIrql,                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000008A, KeRemoveByKeyDeviceQueue,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000008B, KeRemoveDeviceQueue,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000008C, KeRemoveEntryDeviceQueue,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000008D, KeRemoveQueue,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000008E, KeRemoveQueueDpc,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000008F, KeResetEvent,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000090, KeRestoreFloatingPointState,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000091, KeRestoreVectorUnitState,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000092, KeResumeThread,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000093, KeRetireDpcList,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000094, KeRundownQueue,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000095, KeSaveFloatingPointState,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000096, KeSaveVectorUnitState,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000097, KeSetAffinityThread,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000098, KeSetBackgroundProcessors,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000099, KeSetBasePriorityThread,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000009A, KeSetCurrentProcessType,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000009B, KeSetCurrentStackPointers,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000009C, KeSetDisableBoostThread,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000009D, KeSetEvent,                                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000009E, KeSetEventBoostPriority,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000009F, KeSetPMWRegister,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000A0, KeSetPowerMode,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000A1, KeSetPRVRegister,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000A2, KeSetPriorityClassThread,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000A3, KeSetPriorityThread,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000A4, KeSetSocRegister,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000A5, KeSetSpecialPurposeRegister,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000A6, KeSetTimer,                                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000A7, KeSetTimerEx,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000A8, KeStallExecutionProcessor,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000A9, KeSuspendThread,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000AA, KeSweepDcacheRange,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000AB, KeSweepIcacheRange,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000AC, KeTestAlertThread,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000AD, KeTimeStampBundle,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000AE, KeTryToAcquireSpinLockAtRaisedIrql,                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000AF, KeWaitForMultipleObjects,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000B0, KeWaitForSingleObject,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000B1, KfAcquireSpinLock,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000B2, KfRaiseIrql,                                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000B3, KfLowerIrql,                                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000B4, KfReleaseSpinLock,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000B5, KiBugCheckData,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000B6, LDICreateDecompression,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000B7, LDIDecompress,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000B8, LDIDestroyDecompression,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000B9, MmAllocatePhysicalMemory,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000BA, MmAllocatePhysicalMemoryEx,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000BB, MmCreateKernelStack,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000BC, MmDeleteKernelStack,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000BD, MmFreePhysicalMemory,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000BE, MmGetPhysicalAddress,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000BF, MmIsAddressValid,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000C0, MmLockAndMapSegmentArray,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000C1, MmLockUnlockBufferPages,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000C2, MmMapIoSpace,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000C3, MmPersistPhysicalMemoryAllocation,                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000C4, MmQueryAddressProtect,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000C5, MmQueryAllocationSize,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000C6, MmQueryStatistics,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000C7, MmSetAddressProtect,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000C8, MmSplitPhysicalMemoryAllocation,                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000C9, MmUnlockAndUnmapSegmentArray,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000CA, MmUnmapIoSpace,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000CB, Nls844UnicodeCaseTable,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000CC, NtAllocateVirtualMemory,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000CD, NtCancelTimer,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000CE, NtClearEvent,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000CF, NtClose,                                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000D0, NtCreateDirectoryObject,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000D1, NtCreateEvent,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000D2, NtCreateFile,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000D3, NtCreateIoCompletion,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000D4, NtCreateMutant,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000D5, NtCreateSemaphore,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000D6, NtCreateSymbolicLinkObject,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000D7, NtCreateTimer,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000D8, NtDeleteFile,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000D9, NtDeviceIoControlFile,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000DA, NtDuplicateObject,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000DB, NtFlushBuffersFile,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000DC, NtFreeVirtualMemory,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000DD, NtMakeTemporaryObject,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000DE, NtOpenDirectoryObject,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000DF, NtOpenFile,                                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000E0, NtOpenSymbolicLinkObject,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000E1, NtProtectVirtualMemory,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000E2, NtPulseEvent,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000E3, NtQueueApcThread,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000E4, NtQueryDirectoryFile,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000E5, NtQueryDirectoryObject,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000E6, NtQueryEvent,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000E7, NtQueryFullAttributesFile,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000E8, NtQueryInformationFile,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000E9, NtQueryIoCompletion,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000EA, NtQueryMutant,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000EB, NtQuerySemaphore,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000EC, NtQuerySymbolicLinkObject,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000ED, NtQueryTimer,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000EE, NtQueryVirtualMemory,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000EF, NtQueryVolumeInformationFile,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000F0, NtReadFile,                                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000F1, NtReadFileScatter,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000F2, NtReleaseMutant,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000F3, NtReleaseSemaphore,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000F4, NtRemoveIoCompletion,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000F5, NtResumeThread,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000F6, NtSetEvent,                                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000F7, NtSetInformationFile,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000F8, NtSetIoCompletion,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000F9, NtSetSystemTime,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000FA, NtSetTimerEx,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000FB, NtSignalAndWaitForSingleObjectEx,                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000FC, NtSuspendThread,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000FD, NtWaitForSingleObjectEx,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000FE, NtWaitForMultipleObjectsEx,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000000FF, NtWriteFile,                                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000100, NtWriteFileGather,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000101, NtYieldExecution,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000102, ObCreateObject,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000103, ObCreateSymbolicLink,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000104, ObDeleteSymbolicLink,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000105, ObDereferenceObject,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000106, ObDirectoryObjectType,                                      ?           , FLAG(Variable)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000107, ObGetWaitableObject,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000108, ObInsertObject,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000109, ObIsTitleObject,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000010A, ObLookupAnyThreadByThreadId,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000010B, ObLookupThreadByThreadId,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000010C, ObMakeTemporaryObject,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000010D, ObOpenObjectByName,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000010E, ObOpenObjectByPointer,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000010F, ObReferenceObject,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000110, ObReferenceObjectByHandle,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000111, ObReferenceObjectByName,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000112, ObSymbolicLinkObjectType,                                   ?           , FLAG(Variable)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000113, ObTranslateSymbolicLink,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000114, RtlAnsiStringToUnicodeString,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000115, RtlAppendStringToString,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000116, RtlAppendUnicodeStringToString,                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000117, RtlAppendUnicodeToString,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000118, RtlAssert,                                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000119, RtlCaptureContext,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000011A, RtlCompareMemory,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000011B, RtlCompareMemoryUlong,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000011C, RtlCompareString,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000011D, RtlCompareStringN,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000011E, RtlCompareUnicodeString,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000011F, RtlCompareUnicodeStringN,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000120, RtlCompareUtf8ToUnicode,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000121, RtlCopyString,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000122, RtlCopyUnicodeString,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000123, RtlCreateUnicodeString,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000124, RtlDowncaseUnicodeChar,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000125, RtlEnterCriticalSection,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000126, RtlFillMemoryUlong,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000127, RtlFreeAnsiString,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000128, RtlFreeUnicodeString,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000129, RtlGetCallersAddress,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000012A, RtlGetStackLimits,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000012B, RtlImageXexHeaderField,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000012C, RtlInitAnsiString,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000012D, RtlInitUnicodeString,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000012E, RtlInitializeCriticalSection,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000012F, RtlInitializeCriticalSectionAndSpinCount,                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000130, RtlLeaveCriticalSection,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000131, RtlLookupFunctionEntry,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000132, RtlLowerChar,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000133, RtlMultiByteToUnicodeN,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000134, RtlMultiByteToUnicodeSize,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000135, RtlNtStatusToDosError,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000136, RtlRaiseException,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000137, RtlRaiseStatus,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000138, RtlRip,                                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000139, _scprintf,                                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000013A, _snprintf,                                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000013B, sprintf,                                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000013C, _scwprintf,                                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000013D, _snwprintf,                                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000013E, _swprintf,                                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000013F, RtlTimeFieldsToTime,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000140, RtlTimeToTimeFields,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000141, RtlTryEnterCriticalSection,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000142, RtlUnicodeStringToAnsiString,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000143, RtlUnicodeToMultiByteN,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000144, RtlUnicodeToMultiByteSize,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000145, RtlUnicodeToUtf8,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000146, RtlUnicodeToUtf8Size,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000147, RtlUnwind,                                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000148, RtlUnwind2,                                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000149, RtlUpcaseUnicodeChar,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000014A, RtlUpperChar,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000014B, RtlVirtualUnwind,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000014C, _vscprintf,                                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000014D, _vsnprintf,                                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000014E, vsprintf,                                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000014F, _vscwprintf,                                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000150, _vsnwprintf,                                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000151, _vswprintf,                                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000152, KeTlsAlloc,                                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000153, KeTlsFree,                                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000154, KeTlsGetValue,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000155, KeTlsSetValue,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000156, XboxHardwareInfo,                                           ?           , FLAG(Variable)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000157, XboxKrnlBaseVersion,                                        ?           , FLAG(Variable)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000158, XboxKrnlVersion,                                            ?           , FLAG(Variable)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000159, XeCryptAesKey,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000015A, XeCryptAesEcb,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000015B, XeCryptAesCbc,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000015C, XeCryptBnDwLeDhEqualBase,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000015D, XeCryptBnDwLeDhInvalBase,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000015E, XeCryptBnDwLeDhModExp,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000015F, XeCryptBnDw_Copy,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000160, XeCryptBnDw_SwapLeBe,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000161, XeCryptBnDw_Zero,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000162, XeCryptBnDwLePkcs1Format,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000163, XeCryptBnDwLePkcs1Verify,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000164, XeCryptBnQwBeSigCreate,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000165, XeCryptBnQwBeSigFormat,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000166, XeCryptBnQwBeSigVerify,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000167, XeCryptBnQwNeModExp,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000168, XeCryptBnQwNeModExpRoot,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000169, XeCryptBnQwNeModInv,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000016A, XeCryptBnQwNeModMul,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000016B, XeCryptBnQwNeRsaKeyGen,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000016C, XeCryptBnQwNeRsaPrvCrypt,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000016D, XeCryptBnQwNeRsaPubCrypt,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000016E, XeCryptBnQw_Copy,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000016F, XeCryptBnQw_SwapDwQw,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000170, XeCryptBnQw_SwapDwQwLeBe,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000171, XeCryptBnQw_SwapLeBe,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000172, XeCryptBnQw_Zero,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000173, XeCryptChainAndSumMac,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000174, XeCryptDesParity,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000175, XeCryptDesKey,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000176, XeCryptDesEcb,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000177, XeCryptDesCbc,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000178, XeCryptDes3Key,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000179, XeCryptDes3Ecb,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000017A, XeCryptDes3Cbc,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000017B, XeCryptHmacMd5Init,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000017C, XeCryptHmacMd5Update,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000017D, XeCryptHmacMd5Final,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000017E, XeCryptHmacMd5,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000017F, XeCryptHmacShaInit,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000180, XeCryptHmacShaUpdate,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000181, XeCryptHmacShaFinal,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000182, XeCryptHmacSha,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000183, XeCryptHmacShaVerify,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000184, XeCryptMd5Init,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000185, XeCryptMd5Update,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000186, XeCryptMd5Final,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000187, XeCryptMd5,                                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000188, XeCryptParveEcb,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000189, XeCryptParveCbcMac,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000018A, XeCryptRandom,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000018B, XeCryptRc4Key,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000018C, XeCryptRc4Ecb,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000018D, XeCryptRc4,                                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000018E, XeCryptRotSumSha,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000018F, XeCryptShaInit,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000190, XeCryptShaUpdate,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000191, XeCryptShaFinal,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000192, XeCryptSha,                                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000193, XexExecutableModuleHandle,                                  ?           , FLAG(Variable)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000194, XexCheckExecutablePrivilege,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000195, XexGetModuleHandle,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000196, XexGetModuleSection,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000197, XexGetProcedureAddress,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000198, XexLoadExecutable,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000199, XexLoadImage,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000019A, XexLoadImageFromMemory,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000019B, XexLoadImageHeaders,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000019C, XexPcToFileHeader,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000019D, KiApcNormalRoutineNop,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000019E, XexRegisterPatchDescriptor,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000019F, XexSendDeferredNotifications,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001A0, XexStartExecutable,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001A1, XexUnloadImage,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001A2, XexUnloadImageAndExitThread,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001A3, XexUnloadTitleModules,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001A4, XexVerifyImageHeaders,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001A5, __C_specific_handler,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001A6, DbgLoadImageSymbols,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001A7, DbgUnLoadImageSymbols,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001A8, RtlImageDirectoryEntryToData,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001A9, RtlImageNtHeader,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001AA, ExDebugMonitorService,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001AB, MmDbgReadCheck,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001AC, MmDbgReleaseAddress,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001AD, MmDbgWriteCheck,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001AE, ExLoadedCommandLine,                                        ?           , FLAG(Variable)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001AF, ExLoadedImageName,                                          ?           , FLAG(Variable)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001B0, VdBlockUntilGUIIdle,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001B1, VdCallGraphicsNotificationRoutines,                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001B2, VdDisplayFatalError,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001B3, VdEnableClosedCaption,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001B4, VdEnableDisableClockGating,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001B5, VdEnableDisablePowerSavingMode,                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001B6, VdEnableRingBufferRPtrWriteBack,                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001B7, VdGenerateGPUCSCCoefficients,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001B8, VdGetClosedCaptionReadyStatus,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001B9, VdGetCurrentDisplayGamma,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001BA, VdGetCurrentDisplayInformation,                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001BB, VdGetDisplayModeOverride,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001BC, VdGetGraphicsAsicID,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001BD, VdGetSystemCommandBuffer,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001BE, VdGlobalDevice,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001BF, VdGlobalXamDevice,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001C0, VdGpuClockInMHz,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001C1, VdHSIOCalibrationLock,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001C2, VdInitializeEngines,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001C3, VdInitializeRingBuffer,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001C4, VdInitializeScaler,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001C5, VdInitializeScalerCommandBuffer,                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001C6, VdIsHSIOTrainingSucceeded,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001C7, VdPersistDisplay,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001C8, VdQuerySystemCommandBuffer,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001C9, VdQueryVideoFlags,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001CA, VdQueryVideoMode,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001CB, VdReadDVERegisterUlong,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001CC, VdReadWriteHSIOCalibrationFlag,                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001CD, VdRegisterGraphicsNotification,                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001CE, VdRegisterXamGraphicsNotification,                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001CF, VdSendClosedCaptionData,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001D0, VdSetCGMSOption,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001D1, VdSetColorProfileAdjustment,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001D2, VdSetCscMatricesOverride,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001D3, VdSetDisplayMode,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001D4, VdSetDisplayModeOverride,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001D5, VdSetGraphicsInterruptCallback,                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001D6, VdSetHDCPOption,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001D7, VdSetMacrovisionOption,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001D8, VdSetSystemCommandBuffer,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001D9, VdSetSystemCommandBufferGpuIdentifierAddress,               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001DA, VdSetWSSData,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001DB, VdSetWSSOption,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001DC, VdShutdownEngines,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001DD, VdTurnDisplayOff,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001DE, VdTurnDisplayOn,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001DF, KiApcNormalRoutineNop,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001E0, VdWriteDVERegisterUlong,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001E1, XVoicedHeadsetPresent,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001E2, XVoicedSubmitPacket,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001E3, XVoicedClose,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001E4, XVoicedActivate,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001E5, XInputdGetCapabilities,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001E6, XInputdReadState,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001E7, XInputdWriteState,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001E8, XInputdNotify,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001E9, XInputdRawState,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001EA, HidGetCapabilities,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001EB, HidReadKeys,                                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001EC, XInputdGetDeviceStats,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001ED, XInputdResetDevice,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001EE, XInputdSetRingOfLight,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001EF, XInputdSetRFPowerMode,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001F0, XInputdSetRadioFrequency,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001F1, HidGetLastInputTime,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001F2, XAudioRenderDriverInitialize,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001F3, XAudioRegisterRenderDriverClient,                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001F4, XAudioUnregisterRenderDriverClient,                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001F5, XAudioSubmitRenderDriverFrame,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001F6, XAudioRenderDriverLock,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001F7, XAudioGetVoiceCategoryVolumeChangeMask,                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001F8, XAudioGetVoiceCategoryVolume,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001F9, XAudioSetVoiceCategoryVolume,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001FA, XAudioBeginDigitalBypassMode,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001FB, XAudioEndDigitalBypassMode,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001FC, XAudioSubmitDigitalPacket,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001FD, XAudioQueryDriverPerformance,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001FE, XAudioGetRenderDriverThread,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000001FF, XAudioGetSpeakerConfig,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000200, XAudioSetSpeakerConfig,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000201, NicSetUnicastAddress,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000202, NicAttach,                                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000203, NicDetach,                                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000204, NicXmit,                                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000205, NicUpdateMcastMembership,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000206, NicFlushXmitQueue,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000207, NicShutdown,                                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000208, NicGetLinkState,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000209, NicGetStats,                                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000020A, NicGetOpt,                                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000020B, NicSetOpt,                                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000020C, DrvSetSysReqCallback,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000020D, DrvSetUserBindingCallback,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000020E, DrvSetContentStorageCallback,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000020F, DrvSetAutobind,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000210, DrvGetContentStorageNotification,                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000211, MtpdBeginTransaction,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000212, MtpdCancelTransaction,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000213, MtpdEndTransaction,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000214, MtpdGetCurrentDevices,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000215, MtpdReadData,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000216, MtpdReadEvent,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000217, MtpdResetDevice,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000218, MtpdSendData,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000219, MtpdVerifyProximity,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000021A, XUsbcamSetCaptureMode,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000021B, XUsbcamGetConfig,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000021C, XUsbcamSetConfig,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000021D, XUsbcamGetState,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000021E, XUsbcamReadFrame,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000021F, XUsbcamSnapshot,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000220, XUsbcamSetView,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000221, XUsbcamGetView,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000222, XUsbcamCreate,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000223, XUsbcamDestroy,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000224, XMACreateContext,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000225, XMAInitializeContext,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000226, XMAReleaseContext,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000227, XMAEnableContext,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000228, XMADisableContext,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000229, XMAGetOutputBufferWriteOffset,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000022A, XMASetOutputBufferReadOffset,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000022B, XMAGetOutputBufferReadOffset,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000022C, XMASetOutputBufferValid,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000022D, XMAIsOutputBufferValid,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000022E, XMASetInputBuffer0Valid,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000022F, XMAIsInputBuffer0Valid,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000230, XMASetInputBuffer1Valid,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000231, XMAIsInputBuffer1Valid,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000232, XMASetInputBuffer0,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000233, XMASetInputBuffer1,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000234, XMAGetPacketMetadata,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000235, XMABlockWhileInUse,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000236, XMASetLoopData,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000237, XMASetInputBufferReadOffset,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000238, XMAGetInputBufferReadOffset,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000239, ExIsBetaFeatureEnabled,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000023A, XeKeysGetFactoryChallenge,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000023B, XeKeysSetFactoryResponse,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000023C, XeKeysInitializeFuses,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000023D, XeKeysSaveBootLoader,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000023E, XeKeysSaveKeyVault,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000023F, XeKeysGetStatus,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000240, XeKeysGeneratePrivateKey,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000241, XeKeysGetKeyProperties,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000242, XeKeysSetKey,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000243, XeKeysGenerateRandomKey,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000244, XeKeysGetKey,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000245, XeKeysGetDigest,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000246, XeKeysGetConsoleID,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000247, XeKeysGetConsoleType,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000248, XeKeysQwNeRsaPrvCrypt,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000249, XeKeysHmacSha,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000024A, XInputdPassThroughRFCommand,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000024B, XeKeysAesCbc,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000024C, XeKeysDes2Cbc,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000024D, XeKeysDesCbc,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000024E, XeKeysObscureKey,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000024F, XeKeysHmacShaUsingKey,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000250, XeKeysSaveBootLoaderEx,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000251, XeKeysAesCbcUsingKey,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000252, XeKeysDes2CbcUsingKey,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000253, XeKeysDesCbcUsingKey,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000254, XeKeysObfuscate,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000255, XeKeysUnObfuscate,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000256, XeKeysConsolePrivateKeySign,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000257, XeKeysConsoleSignatureVerification,                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000258, XeKeysVerifyRSASignature,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000259, StfsCreateDevice,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000025A, StfsControlDevice,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000025B, VdSwap,                                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000025C, HalFsbInterruptCount,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000025D, XeKeysSaveSystemUpdate,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000025E, XeKeysLockSystemUpdate,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000025F, XeKeysExecute,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000260, XeKeysGetVersions,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000261, XInputdPowerDownDevice,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000262, AniBlockOnAnimation,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000263, AniTerminateAnimation,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000264, XUsbcamReset,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000265, AniSetLogo,                                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000266, KeCertMonitorData,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000267, HalIsExecutingPowerDownDpc,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000268, VdInitializeEDRAM,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000269, VdRetrainEDRAM,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000026A, VdRetrainEDRAMWorker,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000026B, VdHSIOTrainCount,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000026C, HalGetPowerUpCause,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000026D, VdHSIOTrainingStatus,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000026E, RgcBindInfo,                                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000026F, VdReadEEDIDBlock,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000270, VdEnumerateVideoModes,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000271, VdEnableHDCP,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000272, VdRegisterHDCPNotification,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000273, HidReadMouseChanges,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000274, DumpSetCollectionFacility,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000275, XexTransformImageKey,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000276, XAudioOverrideSpeakerConfig,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000277, XInputdReadTextKeystroke,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000278, DrvXenonButtonPressed,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000279, DrvBindToUser,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000027A, XexGetModuleImportVersions,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000027B, RtlComputeCrc32,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000027C, XeKeysSetRevocationList,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000027D, HalRegisterPowerDownCallback,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000027E, VdGetDisplayDiscoveryData,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000027F, XInputdSendStayAliveRequest,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000280, XVoicedSendVPort,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000281, XVoicedGetBatteryStatus,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000282, XInputdFFGetDeviceInfo,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000283, XInputdFFSetEffect,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000284, XInputdFFUpdateEffect,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000285, XInputdFFEffectOperation,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000286, XInputdFFDeviceControl,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000287, XInputdFFSetDeviceGain,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000288, XInputdFFCancelIo,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000289, XInputdFFSetRumble,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000028A, NtAllocateEncryptedMemory,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000028B, NtFreeEncryptedMemory,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000028C, XeKeysExSaveKeyVault,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000028D, XeKeysExSetKey,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000028E, XeKeysExGetKey,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000028F, DrvSetDeviceConfigChangeCallback,                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000290, DrvDeviceConfigChange,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000291, HalRegisterHdDvdRomNotification,                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000292, XeKeysSecurityInitialize,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000293, XeKeysSecurityLoadSettings,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000294, XeKeysSecuritySaveSettings,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000295, XeKeysSecuritySetDetected,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000296, XeKeysSecurityGetDetected,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000297, XeKeysSecuritySetActivated,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000298, XeKeysSecurityGetActivated,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000299, XeKeysDvdAuthAP25InstallTable,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000029A, XeKeysDvdAuthAP25GetTableVersion,                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000029B, XeKeysGetProtectedFlag,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000029C, XeKeysSetProtectedFlag,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000029D, KeEnablePFMInterrupt,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000029E, KeDisablePFMInterrupt,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000029F, KeSetProfilerISR,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002A0, VdStartDisplayDiscovery,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002A1, VdSetHDCPRevocationList,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002A2, XeKeysGetUpdateSequence,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002A3, XeKeysDvdAuthExActivate,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002A4, KeGetImagePageTableEntry,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002A5, HalRegisterBackgroundModeTransitionCallback,                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002A6, AniStartBootAnimation,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002A7, HalClampUnclampOutputDACs,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002A8, HalPowerDownToBackgroundMode,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002A9, HalNotifyAddRemoveBackgroundTask,                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002AA, HalCallBackgroundModeNotificationRoutines,                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002AB, HalFsbResetCount,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002AC, HalGetMemoryInformation,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002AD, XInputdGetLastTextInputTime,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002AE, VdEnableWMAProOverHDMI,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002AF, XeKeysRevokeSaveSettings,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002B0, XInputdSetTextMessengerIndicator,                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002B1, MicDeviceRequest,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002B2, XeKeysGetMediaID,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002B3, XeKeysLoadKeyVault,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002B4, KeGetVidInfo,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002B5, HalNotifyBackgroundModeTransitionComplete,                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002B6, IoAcquireCancelSpinLock,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002B7, IoReleaseCancelSpinLock,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002B8, NtCancelIoFile,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002B9, NtCancelIoFileEx,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002BA, HalFinalizePowerLossRecovery,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002BB, HalSetPowerLossRecovery,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002BC, ExReadModifyWriteXConfigSettingUlong,                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002BD, HalRegisterXamPowerDownCallback,                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002BE, ExCancelAlarm,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002BF, ExInitializeAlarm,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002C0, ExSetAlarm,                                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002C1, XexActivationGetNonce,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002C2, XexActivationSetLicense,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002C3, IptvSetBoundaryKey,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002C4, IptvSetSessionKey,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002C5, IptvVerifyOmac1Signature,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002C6, IptvGetAesCtrTransform,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002C7, SataCdRomRecordReset,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002C8, XInputdSetTextDeviceKeyLocks,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002C9, XInputdGetTextDeviceKeyLocks,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002CA, XexActivationVerifyOwnership,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002CB, XexDisableVerboseDbgPrint,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002CC, SvodCreateDevice,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002CD, RtlCaptureStackBackTrace,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002CE, XeKeysRevokeUpdateDynamic,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002CF, XexImportTraceEnable,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002D0, ExRegisterXConfigNotification,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002D1, XeKeysSecuritySetStat,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002D2, VdQueryRealVideoMode,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002D3, XexSetExecutablePrivilege,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002D4, XAudioSuspendRenderDriverClients,                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002D5, IptvGetSessionKeyHash,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002D6, VdSetCGMSState,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002D7, VdSetSCMSState,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002D8, KeFlushMultipleTb,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002D9, VdGetOption,                                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002DA, VdSetOption,                                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002DB, UsbdBootEnumerationDoneEvent,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002DC, StfsDeviceErrorEvent,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002DD, ExTryToAcquireReadWriteLockExclusive,                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002DE, ExTryToAcquireReadWriteLockShared,                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002DF, XexSetLastKdcTime,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002E0, XInputdControl,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002E1, RmcDeviceRequest,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002E2, LDIResetDecompression,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002E3, NicRegisterDevice,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002E4, UsbdAddDeviceComplete,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002E5, UsbdCancelAsyncTransfer,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002E6, UsbdGetDeviceSpeed,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002E7, UsbdGetDeviceTopology,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002E8, UsbdGetEndpointDescriptor,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002E9, UsbdIsDeviceAuthenticated,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002EA, UsbdOpenDefaultEndpoint,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002EB, UsbdOpenEndpoint,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002EC, UsbdQueueAsyncTransfer,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002ED, UsbdQueueCloseDefaultEndpoint,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002EE, UsbdQueueCloseEndpoint,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002EF, UsbdRemoveDeviceComplete,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002F0, KeRemoveQueueApc,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002F1, UsbdDriverLoadRequiredEvent,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002F2, UsbdGetRequiredDrivers,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002F3, UsbdRegisterDriverObject,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002F4, UsbdUnregisterDriverObject,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002F5, UsbdCallAndBlockOnDpcRoutine,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002F6, UsbdResetDevice,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002F7, UsbdGetDeviceDescriptor,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002F8, NomnilGetExtension,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002F9, NomnilStartCloseDevice,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002FA, WifiBeginAuthentication,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002FB, WifiCheckCounterMeasures,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002FC, WifiChooseAuthenCipherSetFromBSSID,                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002FD, WifiCompleteAuthentication,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002FE, WifiGetAssociationIE,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x000002FF, WifiOnMICError,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000300, WifiPrepareAuthenticationContext,                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000301, WifiRecvEAPOLPacket,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000302, WifiDeduceNetworkType,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000303, NicUnregisterDevice,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000304, DumpXitThread,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000305, XInputdSetWifiChannel,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000306, NomnilSetLed,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000307, WifiCalculateRegulatoryDomain,                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000308, WifiSelectAdHocChannel,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000309, WifiChannelToFrequency,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000030A, MmGetPoolPagesType,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000030B, ExExpansionInstall,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000030C, ExExpansionCall,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000030D, PsCamDeviceRequest,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000030E, McaDeviceRequest,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000030F, DetroitDeviceRequest,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000310, XeCryptSha256Init,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000311, XeCryptSha256Update,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000312, XeCryptSha256Final,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000313, XeCryptSha256,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000314, XeCryptSha384Init,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000315, XeCryptSha384Update,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000316, XInputdGetDevicePid,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000317, HalGetNotedArgonErrors,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000318, XeCryptSha384Final,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000319, HalReadArgonEeprom,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000031A, HalWriteArgonEeprom,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000031B, XeKeysFcrtLoad,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000031C, XeKeysFcrtSave,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000031D, XeKeysFcrtSet,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000031E, XeCryptSha384,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000031F, XeCryptSha512Init,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000320, XAudioRegisterRenderDriverMECClient,                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000321, XAudioUnregisterRenderDriverMECClient,                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000322, XAudioCaptureRenderDriverFrame,                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000323, XeCryptSha512Update,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000324, XeCryptSha512Final,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000325, XeCryptSha512,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000326, XeCryptBnQwNeCompare,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000327, XVoicedGetDirectionalData,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000328, DrvSetMicArrayStartCallback,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000329, DevAuthGetStatistics,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000032A, NullCableRequest,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000032B, XeKeysRevokeIsDeviceRevoked,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000032C, DumpUpdateDumpSettings,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000032D, EtxConsumerDisableEventType,                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000032E, EtxConsumerEnableEventType,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000032F, EtxConsumerProcessLogs,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000330, EtxConsumerRegister,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000331, EtxConsumerUnregister,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000332, EtxProducerLog,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000333, EtxProducerLogV,                                            ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000334, EtxProducerRegister,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000335, EtxProducerUnregister,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000336, EtxConsumerFlushBuffers,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000337, EtxProducerLogXwpp,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000338, EtxProducerLogXwppV,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000339, UsbdEnableDisableRootHubPort,                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000033A, EtxBufferRegister,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000033B, EtxBufferUnregister,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000033C, DumpRegisterDedicatedDataBlock,                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000033D, XeKeysDvdAuthExSave,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000033E, XeKeysDvdAuthExInstall,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000033F, XexShimDisable,                                             ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000340, XexShimEnable,                                              ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000341, XexShimEntryDisable,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000342, XexShimEntryEnable,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000343, XexShimEntryRegister,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000344, XexShimLock,                                                ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000345, XboxKrnlVersion4Digit,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000346, XeKeysObfuscateEx,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000347, XeKeysUnObfuscateEx,                                        ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000348, XexTitleHash,                                               ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000349, XexTitleHashClose,                                          ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000034A, XexTitleHashContinue,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000034B, XexTitleHashOpen,                                           ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000034C, XAudioGetRenderDriverTic,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000034D, XAudioEnableDucker,                                         ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000034E, XAudioSetDuckerLevel,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000034F, XAudioIsDuckerEnabled,                                      ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000350, XAudioGetDuckerLevel,                                       ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000351, XAudioGetDuckerThreshold,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000352, XAudioSetDuckerThreshold,                                   ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000353, XAudioGetDuckerAttackTime,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000354, XAudioSetDuckerAttackTime,                                  ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000355, XAudioGetDuckerReleaseTime,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000356, XAudioSetDuckerReleaseTime,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000357, XAudioGetDuckerHoldTime,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000358, XAudioSetDuckerHoldTime,                                    ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x00000359, DevAuthShouldAlwaysEnforce,                                 ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000035A, XAudioGetUnderrunCount,                                     ?           , FLAG(Function)),
XE_DECLARE_EXPORT(xboxkrnl, 0x0000035C, XVoicedIsActiveProcess,                                     ?           , FLAG(Function)),
};


#undef FLAG


#endif  // XENIA_KERNEL_MODULES_XBOXKRNL_TABLE_H_
